/*
**++
** Copyright (c) 1993-1997 By
** Acorn Software
** All rights reserved.
**
** This software is furnished under a license and may be used and copied
** only in accordance of the terms of such license and with the
** inclusion of the above copyright notice.  This software or any other
** copies thereof may not be provided or otherwise made available to any
** other person.  No title to and ownership of the software is hereby
** transferred.
**
** The information in the software is subject to change without notice
** and should not be construed as a comitment by Acorn Software.
**
** Acorn Software assumes no responsibility for the use or reliability 
** of its software on equipment which is not supplied by Acorn Software.
**
**  AUTHORS:
**
**      Dick Munroe
**      267 Cox St.
**      Hudson, Ma. 01749
**
**  CREATION DATE:      16-Nov-93
**
**  MODIFICATION HISTORY:
**
**      0.000 Dick Munroe 16-Nov-93
**          Initial Version Created
**	    
**	0.001 Dick Munroe 01-Jun-94
**	    AXP Port.
**	    
**	0.002 Dick Munroe 23-Jul-97
**	    Add tracing.
**	    
**	[@tbs@]...
**--
*/


#if defined(__ALPHA)
#pragma nomember_alignment
#endif

/*
**
**  INCLUDE FILES
**
*/

#include <descrip.h>
#include <dvidef.h>
#include <starlet.h>
#include <stsdef.h>

unsigned long brnch_CreateFTDevice (
    struct dsc$descriptor* deviceName)
{
    unsigned short			ftChannel ;	/* Channel to the psuedo terminal.					*/
    char*				ftPages[2] ;	/* buffers for psuedo terminal to use for I/O.				*/
    unsigned long			itemCode ;
    unsigned long			status ;
    
    if (brnch_isTraceMiscellaneousOn())
    {
        brnch__logit(
	    "unsigned long brnch_createFTDevice(\"\")\n") ;
    }
    
    status = sys$expreg (6, &ftPages, 0, 0) ;		/* Allocate buffers for ft I/O.						*/
    if (!$VMS_STATUS_SUCCESS(status))
    {
	if (brnch_isTraceMiscellaneousOn())
	{
	    brnch__logit(
		"%08X = unsigned long brnch_createFTDevice(\"\")\n", status) ;
	}
	
	return status ;
    }
    
    status = ptd$create(&ftChannel, 0, 0, 0, 0, 0, 0, &ftPages) ;
							/* Create the psuedo terminal.						*/
    if (!$VMS_STATUS_SUCCESS(status))
    {
	if (brnch_isTraceMiscellaneousOn())
	{
	    brnch__logit(
		"%08X = unsigned long brnch_createFTDevice(\"\")\n", status) ;
	}
	
	return status ;
    }
    
    itemCode = DVI$_DEVNAM ;				/* We want the device name of the pseudo terminal.			*/
    
    status = lib$getdvi (&itemCode, &ftChannel, 0, 0, deviceName, 0) ;

    if (brnch_isTraceMiscellaneousOn())
    {
	brnch__logit(
	    "%08X = unsigned long brnch_createFTDevice(\"%0.*s\")\n",
	    status, deviceName->dsc$w_length, deviceName->dsc$a_pointer) ;
    }
    
    return status ;
}
