!
!  MMS description file to build VirtualBranches.
!
!  Author:	John Croll
!
!  Version:	1.0	21-Oct-1993
!
!  Revision History:
!
!   1.47 Dick Munroe (munroe@csworks.com)   16-Jan-2003 (3.1)
!	Build the changes document.
!
!	Build the code that ZIPs all the components all at once.
!
!   1.46 Dick Munroe	03-May-1998	
!		Add version, et al building.
!
!   1.45 Dick Munroe	22-Nov-1996
!		Add system shutdown.
!
!   1.44 Dick Munroe	06-Oct-1996
!		Add license tracing and work around.
!
!   1.43 Dick Munroe	28-May-1996
!		Add DRM1004X
!
!   1.42 Dick Munroe	10-Jan-1995
!		Add symbol definitions for UCBs.
!
!   1.41 Dick Munroe	15-Nov-1995 
!		Pull the APK build.
!
!   1.40 Dick Munroe 27-Sep-1995
!		Port to DEC C++
!
!   1.39 Dick Munroe 10-Sep-1995
!		5004X support.
!
!   1.38 Dick Munroe 29-Mar-1995
!		Redesign of disk arbitration.
!
!   1.38 Dick Munroe 15-Nov-1994
!		Add auto nag.
!
!   1.37 Dick Munroe 06-Oct-1994
!		Add 1804X Support.
!
!   1.36 Dick Munroe 29-Sep-1994
!		Add configuration utility.
!
!   1.35 Dick Munroe 25-Sep-1994
!		Add large cluster support.
!
!   1.34 Dick Munroe 31-Aug-1994
!		Build step2 versions of drivers, if necessary.
!
!   1.33 Munroe 18-Jul-1994	Dick
!		Add NKK support.
!
!   1.32 Dick Munroe 06-Jul-1994
!		Many miscellaneous changes to get to build on VAX.
!
!   1.31 John Croll 22-Jun-1994
!		Clean up build to work for both VAX And AXP version.
!
!    1.30 John Croll D-Day-1994
!		Adjust JBDRIVER and DFDRIVER link commands.  Note
!		that the driver object module is specified in the
!		options file for Alpha, but on the command line for
!		VAX.  Also, broke a module out of ASNJB.MAR, so added
!		stuff to build that properly.
!
!   1.29 Dick Munroe 31-May-1994
!		AXP Port.
!
!   1.28 John Croll 18-May-1994
!		Add lib.mlb to devlckinfo assembly.
!
!   1.27 Dick Munroe 17-May-1994
!		Add import/export stuff.
!
!   1.26 John Croll      16-May-1994
!               Add checkmount routine.
!
!   1.25 Dick Munroe 03-May-1994
!		Add HP product line.
!
!   1.24 Dick Munroe 03-May-1994
!		Add license information from mover.
!
!   1.23 Dick Munroe 25-Apr-1994
!		Add startup order.
!
!   1.22 Dick Munroe 05-Apr-1994
!		Add /NAMES=UPPER.
!
!   1.21 John Croll      25-Mar-1994
!		Add robot exceptions routine.
!
!   1.20 John Croll      21-Mar-1994
!		Add licensing modules.
!
!   1.19 Dick Munroe 13-Mar-1994
!		Add APK build.
!
!   1.18 John Croll 05-Mar-1994
!		Change image names to those shipped.
!
!   1.17 John Croll      28-Feb-1994
!		Add checkdatabase module.
!
!   1.16 John Croll      23-Feb-1994
!		Add set volume module.
!
!   1.15 John Croll 08-Feb-1994
!		Add database manipulation module.
!
!   1.14 Munroe 04-Feb-1994	Dick
!		Add export.
!
!   1.13 John Croll 02-Feb-1994
!		Add BRNCH--INITIALIZEDB.
!
!   1.12 John Croll      01-Feb-1994
!		make sqsdef.for from sqsstatusdefinition.msg.
!
!   1.11 John Croll 26-Jan-1994
!		Add BRNCH-VIRTUAL-SHOW.
!
!   1.10 Dick Munroe 12-Jan-1994
!		Add IDE.
!
!   1.9 Dick Munroe 03-Jan-1994
!		Add mover process startup.
!
!   1.8 Glenn Everhart  03-jan-1994
!		Add clustrcomm into build
!
!   1.7 Munroe 18-Dec-1993	Dick
!		Start including the robot mover.
!		Use ADDSQS to make inclusion of SQS code directly easier.
!
!   1.6 Dick Munroe 02-Dec-1993
!		Add further stuff for parsing configuration file.
!
!   1.5 Glenn Everhart 29-Nov-1993
!		Add oprmsg to asndvr build. Needed by asndvr mods.
!
!   1.4 John Croll 22-Nov-1993
!		Remove ASNDDMY.FOR, it's no longer needed to do builds.
!
!   1.4a Munroe 22-Nov-1993	Dick
!		Remove ADDSQS.EXE
!		Add stuff necessary to actually PARSE the opcom messages.
!		Remove ASNDDMY.FOR stuff.  If you get the right stuff, you
!		don't need it.
!
!   1.3 Croll 18-Nov-1993	John
!		Include ASNDDMY.FOR, a temporary file with dummy entries
!		to enable building changes to ASNDVR.FOR.  This will
!		be changed as develoment proceeds; it's here now so
!		other integration and testing can proceed.
!
!   1.2 Dick Munroe 13-NOV-1993
!		Generally integrate the build procedure into the development
!		structure on HULK.  Fix a few problems, etc.
!		Add SQSDEF.EXE
!		Add SQSDEF.H
!		Add BRNCH-VIRTUAL.OBJ
!
!    1.1 John Croll      4-Nov-1993
!		Add sizing.for module
!
!  1.0 Croll 21-Oct-1993	John
!		Initial version
!

!-----------------------------------------------------------------------------
!  MMS macros
!
CLEANFILE		= 'F$PARSE("BLD$:VIRTUAL-BRANCHES.CLEAN")
_DEBUG_ALL_		= 1
DEBUGFILE		= BLD$:VIRTUAL-BRANCHES.DEBUG
SDCL 			= SDCL
SDCLFLAGS		=

.IFDEF _DEBUG_$(DEBUG)_
_DEBUG_			= /DEBUG
.ELSE
_DEBUG_			= /NODEBUG
.ENDIF

.IFDEF	ALPHA
ASNJB_AXP_OPTIONS	= ,SRC$:ASNJB-AXP-OPTIONS.OPT/OPTIONS
CXXSTANDARD		= /TIE/EXTERN_MODEL=STRICT_REFDEF/WARNINGS=DISABLE=PREOPTW/ASSUME=NOHEADER_TYPE_DEFAULT/EXCEPTIONS/REPOSITORY=CXX_REPOSITORY$
DFDRIVER_EXE		= EXE$:DFDRIVER.EXE
DFDRIVER_OBJ		= SYSOBJ$:DFDRIVER.OBJ
DFDRIVER_OPTIONS_SRC	= SRC$:DFDRIVER-AXP-OPTIONS.OPT
DFDRIVER_OPTIONS	= $(DFDRIVER_OPTIONS_SRC)/OPTIONS
DFDRIVER_LINK_QUALS	= /NATIVE/BPAGE=14/SECTION/NODEMAND/SHARE=DFDRIVER/NOSYSSHR
EVAX			= SRC$:AXPDEFS2.MAR +
JBDRIVER_EXE		= EXE$:JBDRIVER.EXE
JBDRIVER_OBJ		= SYSOBJ$:JBDRIVER.OBJ
JBDRIVER_OPTIONS_SRC	= BLD$:JBDRIVER-AXP-OPTIONS.OPT
JBDRIVER_OPTIONS	= $(JBDRIVER_OPTIONS_SRC)/OPTIONS
JBDRIVER_LINK_QUALS	= /NATIVE/BPAGE=14/SECTION/NODEMAND/SHARE=JBDRIVER/NOSYSSHR
LINK_COMMAND_PROCEDURE	= BLD$:KIT-LINK-VB-AXP.COM
LINK_COMMAND_TEMPORARY	= BLD$:KIT-LINK-VB-AXP.TMP
MIGRATION		= /MIGRATION/TIE
NATIVE			= /NONATIVE
PORT_LIBRARY		= OLB$:PORT-AXP.OLB
PORT_LIBRARY_DEPENDENCY = $(PORT_LIBRARY)-TIME-STAMP.1,
PORT_LIBRARY_LINK	= ,$(PORT_LIBRARY)/LIBRARY
PRELINK_COMMAND_PROCEDURE = BLD$:KIT-PRELINK-VB-AXP.COM
PRELINK_TIME_STAMP	= $(PRELINK_COMMAND_PROCEDURE)-TIME-STAMP.1
SDL			= SDL/ALPHA
SQS_TYPE_LIBRARY	= OLB$:SQS-TYPE-AXP.OLB
SQS_TYPE_LIBRARY_TIMESTAMP = OLB$:SQS-TYPE-AXP.OLB-TIME-STAMP;1
STANDARD		= /STANDARD=VAXC/TIE/EXTERN_MODEL=STRICT_REFDEF/WARNINGS=DISABLE=PREOPTW
STB_OPTIONS		= 
STB_VAXC_OPTIONS	= 
STL_LIBRARY		= OLB$:STL-AXP.OLB
STL_LIBRARY_TIMESTAMP	= $(STL_LIBRARY)-TIME-STAMP;1
SYSEXE			= /SYSEXE=SELECTIVE
SYS_LIBRARY		= SYSOLB$:SYS-LIBRARY-AXP.OLB
SYS_LIBRARY_TIMESTAMP	= SYSOLB$:SYS-LIBRARY-AXP.OLB-TIME-STAMP;1
VB_LIBRARY		= OLB$:VB-LIBRARY-AXP.OLB
VB_LIBRARY_TIMESTAMP	= OLB$:VB-LIBRARY-AXP.OLB-TIME-STAMP;1
VB_TYPE_LIBRARY		= OLB$:VB-TYPE-AXP.OLB
VB_TYPE_LIBRARY_TIMESTAMP = OLB$:VB-TYPE-AXP.OLB-TIME-STAMP;1
ZMENU_SOURCE            = ZMENU_ROOT:[EXE]ZMENU.EXE_AXP
ZMENU_SCROLL_SOURCE     = ZMENU_ROOT:[EXE]ZMENU_SCROLL.EXE_AXP
.ELSE
ASNJB_AXP_OPTIONS	=
CXXSTANDARD		= /EXTERN_MODEL=STRICT_REFDEF/WARNINGS=DISABLE=PREOPTW/PREFIX_LIBRARY_ENTRIES=EXCEPT=(WCSLEN,WCSNCMP,WCSNCPY)/ASSUME=NOHEADER_TYPE_DEFAULT/EXCEPTIONS/REPOSITORY=CXX_REPOSITORY$
DFDRIVER_EXE		= EXE$:DFDRIVER.EXE
DFDRIVER_OPTIONS_SRC	= SRC$:DFDRIVER.OPT
DFDRIVER_OBJ		= SYSOBJ$:DFDRIVER.OBJ
DFDRIVER_OPTIONS	= $(DFDRIVER_OBJ), SYS$SYSTEM:SYS.STB/SELECTIVE, $(DFDRIVER_OPTIONS_SRC)/OPTIONS
DFDRIVER_LINK_QUALS	=
EVAX			=
JBDRIVER_EXE		= EXE$:JBDRIVER.EXE
JBDRIVER_OPTIONS_SRC	= BLD$:JBDRIVER.OPT
JBDRIVER_OBJ		= SYSOBJ$:JBDRIVER.OBJ
JBDRIVER_OPTIONS	= $(JBDRIVER_OBJ), SYS$SYSTEM:SYS.STB/SELECTIVE, $(JBDRIVER_OPTIONS_SRC)/OPTIONS
JBDRIVER_LINK_QUALS	=
LINK_COMMAND_PROCEDURE	= BLD$:KIT-LINK-VB-VAX.COM
LINK_COMMAND_TEMPORARY	= BLD$:KIT-LINK-VB-VAX.TMP
MIGRATION		=
MMS			= MMS/IGNORE=WARNING
NATIVE			= 
PORT_LIBRARY		= OLB$:PORT.OLB
PORT_LIBRARY_DEPENDENCY = $(PORT_LIBRARY)-TIME-STAMP.1,
PORT_LIBRARY_LINK	= ,$(PORT_LIBRARY)/LIBRARY
PRELINK_COMMAND_PROCEDURE = BLD$:KIT-VB-PRELINK-VAX.COM
PRELINK_TIME_STAMP	= $(PRELINK_COMMAND_PROCEDURE)-TIME-STAMP.1
SDL			= SDL
SQS_TYPE_LIBRARY	= OLB$:SQS-TYPE.OLB
SQS_TYPE_LIBRARY_TIMESTAMP = OLB$:SQS-TYPE.OLB-TIME-STAMP;1
STANDARD		= /STANDARD=VAXC/EXTERN_MODEL=STRICT_REFDEF/WARNINGS=DISABLE=PREOPTW/PREFIX_LIBRARY_ENTRIES=EXCEPT=(WCSLEN,WCSNCMP,WCSNCPY)
STB_OPTIONS		= ,SRC$:STB.OPT/OPTIONS
STB_VAXC_OPTIONS	= ,SRC$:VB.OPT/OPTIONS
STL_LIBRARY		= OLB$:STL.OLB
STL_LIBRARY_TIMESTAMP	= $(STL_LIBRARY)-TIME-STAMP;1
SYSEXE			= 
SYS_LIBRARY		= SYSOLB$:SYS-LIBRARY.OLB
SYS_LIBRARY_TIMESTAMP	= SYSOLB$:SYS-LIBRARY.OLB-TIME-STAMP;1
VB_LIBRARY		= OLB$:VB-LIBRARY.OLB
VB_LIBRARY_TIMESTAMP	= OLB$:VB-LIBRARY.OLB-TIME-STAMP;1
VB_TYPE_LIBRARY		= OLB$:VB-TYPE.OLB
VB_TYPE_LIBRARY_TIMESTAMP = OLB$:VB-TYPE.OLB-TIME-STAMP;1
ZMENU_SOURCE            = ZMENU_ROOT:[EXE]ZMENU.EXE
ZMENU_SCROLL_SOURCE     = ZMENU_ROOT:[EXE]ZMENU_SCROLL.EXE
.ENDIF

CFLAGS		= $(STANDARD)
CXXFLAGS	= $(CXXSTANDARD)

.IFDEF	ALPHA
CC		= CC/DEBUG/NOOPTIMIZE/LIST='LIS$'/OBJECT=$(MMS$TARGET)/NOMEMBER_ALIGNMENT/NESTED_INCLUDE_DIRECTORY=NONE
CXX		= CXX/NOOPT/DEBUG/LIST='LIS$'/OBJECT=$(MMS$TARGET_NAME).OBJ/NOMEMBER_ALIGNMENT/NESTED_INCLUDE_DIRECTORY=NONE
.ELSE
CC		= CC/DEBUG/NOOPTIMIZE/LIST='LIS$'/OBJECT=$(MMS$TARGET)/NESTED_INCLUDE_DIRECTORY=NONE
CXXINCLUDES	= CXXINC$
CXX		= CXX/NOOPT/DEBUG/LIST='LIS$'/OBJECT=$(MMS$TARGET_NAME).OBJ/NOMEMBER_ALIGNMENT/NESTED_INCLUDE_DIRECTORY=NONE
.ENDIF
MACRO		= MACRO $(MIGRATION)
.IFDEF ALPHA
MFLAGS		= /DEBUG/LIST='LIS$'/OBJECT=$(MMS$TARGET)/MACHINE/SYMBOL
.ELSE
MFLAGS		= /DEBUG/LIST='LIS$'/OBJECT=$(MMS$TARGET)
.ENDIF

!
!-----------------------------------------------------------------------------
!  General rules for creating targets from sources
!
.CLD.OBJ :
    SET COMMAND/OBJECT=$(MMS$TARGET) $(MMS$SOURCE)

.C.OBJ :
    @SRC$:ADDTOCLEAN.COM $(CLEANFILE) $(MMS$TARGET)
    LIS$ = F$PARSE("LIS$:.LIS","$(MMS$TARGET)") - ";"
    @SRC$:ADDTOCLEAN.COM $(CLEANFILE) 'LIS$'
    $(CC) 'CFLAGS' $(MMS$SOURCE)

.CXX.OBJ :
    @SRC$:ADDTOCLEAN.COM $(CLEANFILE) $(MMS$TARGET)
    LIS$ = F$PARSE("LIS$:.LIS","$(MMS$TARGET)") - ";"
    @SRC$:ADDTOCLEAN.COM $(CLEANFILE) 'LIS$'
    $(CXX) 'CXXFLAGS' $(MMS$SOURCE)

.DCL.COM :
    @SRC$:ADDTOCLEAN.COM $(CLEANFILE) $(MMS$TARGET)
    $(SDCL) $(SDCLFLAGS) $(MMS$SOURCE) $(MMS$TARGET)

.MAR.MLB :
    XXX = F$SEARCH(F$PARSE("$(MMS$TARGET)")) .NES. F$SEARCH("$(MMS$TARGET)")
    IF XXX THEN @SRC$:ADDTOCLEAN.COM $(CLEANFILE) $(MMS$TARGET)
    IF XXX THEN COPY/LOG $(MMS$TARGET) $(MMS$TARGET)
    YYY = F$SEARCH(F$PARSE("$(MMS$TARGET)")) .EQS. ""
    IF YYY THEN @SRC$:ADDTOCLEAN.COM $(CLEANFILE) $(MMS$TARGET)
    IF YYY THEN $(LIBR)/CREATE/MACRO/LOG $(MMS$TARGET)
    $(LIBR) $(LIBRFLAGS) $(MMS$TARGET) $(MMS$SOURCE)
    IF XXX .OR. YYY THEN @SRC$:ADDTOCLEAN.COM $(CLEANFILE) $(MMS$TARGET)-TIME-STAMP
    COPY/REPLACE _NL: $(MMS$TARGET)-TIME-STAMP.1

.MAR.OBJ :
    @SRC$:ADDTOCLEAN.COM $(CLEANFILE) $(MMS$TARGET)
    LIS$ = F$PARSE("LIS$:.LIS","$(MMS$TARGET)") - ";"
    @SRC$:ADDTOCLEAN.COM $(CLEANFILE) 'LIS$'
    $(MACRO) $(MFLAGS) $(EVAX) $(MMS$SOURCE)

.MSG.SDL :
    @SRC$:ADDTOCLEAN.COM $(CLEANFILE) $(MMS$TARGET)
    $(SDL)$(MSGSDLFLAGS) $(MMS$SOURCE)

.OBJ.OLB :
    XXX = F$SEARCH(F$PARSE("$(MMS$TARGET)")) .NES. F$SEARCH("$(MMS$TARGET)")
    IF XXX THEN @SRC$:ADDTOCLEAN.COM $(CLEANFILE) $(MMS$TARGET)
    IF XXX THEN COPY/LOG $(MMS$TARGET) $(MMS$TARGET)
    YYY = F$SEARCH(F$PARSE("$(MMS$TARGET)")) .EQS. ""
    IF YYY THEN @SRC$:ADDTOCLEAN.COM $(CLEANFILE) $(MMS$TARGET)
    IF YYY THEN $(LIBR)/CREATE/LOG $(MMS$TARGET)
    $(LIBR) $(LIBRFLAGS) $(MMS$TARGET) $(MMS$SOURCE)
    IF XXX .OR. YYY THEN @SRC$:ADDTOCLEAN.COM $(CLEANFILE) $(MMS$TARGET)-TIME-STAMP
    COPY/REPLACE _NL: $(MMS$TARGET)-TIME-STAMP.1

.SDL.H :
    @SRC$:ADDTOCLEAN.COM $(CLEANFILE) $(MMS$TARGET)
    @SRC$:SDLTOH "''SDL'" $(MMS$SOURCE) $(MMS$TARGET)

.SUFFIXES
.SUFFIXES .EXE .OLB .OBJ .C .CLD .CXX .MLB .MAR .H .SDI .SDL .COM -
		.DCL .MSG
!
!-----------------------------------------------------------------------------
!  Specific rules for building targets
!

.FIRST
	!
.IFDEF VERSION
	! $(VERSION)
.ENDIF
.IFDEF	ALPHA
	!	OpenVMS/Alpha $(ALPHA)
.ELSE
	!	OpenVMS/VAX
.ENDIF
	!
	XXX := """_VMS_V6_SOURCE=1"",""__CRTL_VER=__VMS_VER"""
	MMS$FLAGS :=
.IFDEF	ALPHA
	IF MMS$FLAGS .NES. "" THEN MMS$FLAGS = MMS$FLAGS + ","
	MMS$FLAGS = MMS$FLAGS + "ALPHA=""$(ALPHA)"""
.ENDIF
.IFDEF	VERSION
	IF MMS$FLAGS .NES. "" THEN MMS$FLAGS = MMS$FLAGS + ","
	MMS$FLAGS = MMS$FLAGS + "VERSION=""$(VERSION)"""
.ENDIF
	IF XXX .NES. "" THEN XXX = "/DEFINE=(" + XXX + ")"
	IF MMS$FLAGS .NES. "" THEN MMS$FLAGS = "/MACRO=(" + MMS$FLAGS + ")"
	sho sym mms$flags
	CXXFLAGS := $(CXXFLAGS)
	CXXFLAGS = CXXFLAGS + XXX
	CFLAGS := $(CFLAGS)
	CFLAGS = CFLAGS + XXX
.IFDEF	__NOMMSFLAGS__
.ELSE
	!
	! Checking Build Flags
	!
	XXX = (F$SEARCH("BLD$:VB-MMSFLAGS.TMP") .EQS. "")
	IF XXX THEN OPEN/WRITE OUTPUT BLD$:VB-MMSFLAGS.TMP
	IF XXX THEN WRITE OUTPUT ""
	IF XXX THEN WRITE OUTPUT ""
	IF XXX THEN WRITE OUTPUT ""
	IF XXX THEN CLOSE OUTPUT
	OPEN/READ INPUT BLD$:VB-MMSFLAGS.TMP
	READ INPUT OLDMMS$FLAGS
	READ INPUT OLDCXXFLAGS
	READ INPUT OLDCFLAGS
	CLOSE INPUT
	XXX = (OLDMMS$FLAGS .NES. MMS$FLAGS)
	IF XXX THEN IF F$SEARCH(F$PARSE(".*","OBJ$:SQS-TCONFIGURATIONENTRY.obj")) .NES. "" THEN DELETE 'F$PARSE(".*;*","OBJ$:SQS-TCONFIGURATIONENTRY.obj")'
	IF XXX THEN IF F$SEARCH(F$PARSE(".*","OBJ$:SQS-TODL.obj")) .NES. "" THEN DELETE 'F$PARSE(".*;*","OBJ$:SQS-TODL.obj")'
	IF XXX THEN IF F$SEARCH(F$PARSE(".*","OBJ$:BRNCH-CONFIGURATIONENTRY.OBJ")) .NES. "" THEN DELETE 'F$PARSE(".*;*","OBJ$:BRNCH-CONFIGURATIONENTRY.OBJ")'
	IF XXX THEN IF F$SEARCH(F$PARSE(".*","OBJ$:BRNCH-VIRTUAL.OBJ")) .NES. "" THEN DELETE 'F$PARSE(".*;*","OBJ$:BRNCH-VIRTUAL.OBJ")'
	OPEN/WRITE OUTPUT BLD$:VB-MMSFLAGS.TMP
	WRITE OUTPUT MMS$FLAGS
	WRITE OUTPUT CXXFLAGS
	WRITE OUTPUT CFLAGS
	CLOSE OUTPUT
	XXX = (F$SEARCH("BLD$:VB-MMSFLAGS.TMP;-1") .NES. "")
	IF XXX THEN PURGE BLD$:VB-MMSFLAGS.TMP
	RENAME BLD$:VB-MMSFLAGS.TMP BLD$:VB-MMSFLAGS.TMP;1
.ENDIF
.IFDEF VERSION
	!
	! Set up current version file.
	!
	XXX = (F$SEARCH("BLD$:VB-CURRENT.VERSION") .EQS. "")
	IF XXX THEN OPEN/WRITE OUTPUT BLD$:VB-CURRENT.VERSION
	IF XXX THEN WRITE OUTPUT ""
	IF XXX THEN CLOSE OUTPUT
	OPEN/READ INPUT BLD$:VB-CURRENT.VERSION
	READ INPUT XXX
	CLOSE INPUT
	XXX = (XXX .NES. "$(VERSION)")
	IF XXX THEN OPEN/WRITE OUTPUT BLD$:VB-CURRENT.VERSION
	IF XXX THEN WRITE OUTPUT "$(VERSION)"
	IF XXX THEN CLOSE OUTPUT
	IF XXX THEN OPEN/WRITE OUTPUT BLD$:VB-CURRENT-VERSION.H
	IF XXX THEN WRITE OUTPUT "#define __VERSION_STRING__ ""$(VERSION)"""
	IF XXX THEN CLOSE OUTPUT
	XXX = F$SEARCH("BLD$:VB-CURRENT.VERSION;-1") .NES. "
	IF XXX THEN PURGE BLD$:VB-CURRENT.VERSION
	IF (F$SEARCH(F$PARSE("BLD$:VB-CURRENT.VERSION")) .EQS. F$SEARCH("BLD$:VB-CURRENT.VERSION")) .AND. -
	   (XXX) THEN -
                RENAME BLD$:VB-CURRENT.VERSION BLD$:VB-CURRENT.VERSION;1
.ENDIF
	AXPFLAG = F$GETSYI("CPU") .GE. 128
	IF AXPFLAG THEN AXP_NATIVE == 1
	IF AXPFLAG THEN AXP_CROSS  == 0
	IF AXPFLAG THEN DEFINE/SYSTEM/EXEC/NOLOG      EVMS$BUILD_TOOLS        PRODUCTS:[SDL.NATIVE],SYS$LIBRARY:
	IF AXPFLAG THEN @SDL_ROOT:[000000]SDL.COM
	IF F$PARSE("CXX_REPOSITORY$:") .EQS. "" THEN CREATE/DIRECTORY/LOG CXX_REPOSITORY$:
	IF F$SEARCH("CXX_REPOSITORY$:CXX$DEMANGLER_DB.") .EQS. "" THEN COPY SRC$:CXX$DEMANGLER_DB.TEMPLATE CXX_REPOSITORY$:CXX$DEMANGLER_DB.
        SDL := SDL
	IF AXPFLAG THEN SDL = SDL + "/ALPHA"

.IFDEF	ALPHA
EXECUTABLES : -
			EXECUTABLES-$(ALPHA)
	! Executables Complete

EXECUTABLES-V6 : -
			INCLUDES,-
			MISCELLANEOUS,-
			VB-LIBRARY,-
			MAIN-ROUTINES,-
			PRELINK-EXECUTABLES,-
			EXECUTABLE-IMAGES,-
			$(DFDRIVER_EXE),-
			$(JBDRIVER_EXE)
	! executables-v6 complete

EXECUTABLES-V7 : -
			EXECUTABLES-V6
	! executables-v7 complete
.ELSE
EXECUTABLES : -
			INCLUDES,-
			MISCELLANEOUS, -
			VB-LIBRARY,-
			MAIN-ROUTINES,-
			PRELINK-EXECUTABLES,-
			EXECUTABLE-IMAGES,-
			$(DFDRIVER_EXE),-
			$(JBDRIVER_EXE)
.ENDIF
	! Executables Complete

!
! The version of SDL available on the VAX is no longer capable of
! producing the various include files, particularly from the ACP
! data structures module.  The following must be executed on an
! AXP in order to build successfully on a vax with any of the
! sources for the following are changed.
!

INCLUDES : -
			DECC$USER_INCLUDE:BRNCH-ACP-DATA-STRUCTURES.H,-
			CXX$USER_INCLUDE:BRNCH-ACP-DATA-STRUCTURES.HXX,-
			INC$:BRNCH-ACP-DATA-STRUCTURES.MAR,-
			DECC$USER_INCLUDE:OPCDEFTMP.H,-
			DECC$USER_INCLUDE:SIZING.H,-
			CXX$USER_INCLUDE:SQSDEF.H,-
			DECC$USER_INCLUDE:SQSDEF.H,-
			CXX$USER_INCLUDE:SQS-INVENTORY-TABLE.H,-
			CXX$USER_INCLUDE:SQS-MAGIC-NUMBERS.H,-
			DECC$USER_INCLUDE:SQS-MAGIC-NUMBERS.H,-
			DECC$USER_INCLUDE:SQS-OPCOM-CATCHER.H,-
			SQS-INCLUDES
	! Includes complete.

SQS-INCLUDES :
	$(MMS)/DESC=SRC$:SQS.MMS 'MMS$FLAGS' BLD$:SCSIHTOHXX.COM,INCLUDES

EXECUTABLE-IMAGES : -
			EXE$:BRNCH-VIRTUAL-ACP.EXE,-
			EXE$:BRNCH-VIRTUAL-DISK.EXE, -
			EXE$:BRNCH-JB-MOVER.EXE, -
			EXE$:BRNCH-VIRTUAL.EXE
	! Executable-images complete

MAIN-ROUTINES : -
			OBJ$:BRNCH-JB-MOVER.OBJ,-
			OBJ$:BRNCH-VIRTUAL.OBJ
	! Main routines complete.

PRELINK-EXECUTABLES : -
			$(PRELINK_TIME_STAMP)
	! CXXLINK Complete.
	
$(PRELINK_TIME_STAMP) : -
			$(PRELINK_COMMAND_PROCEDURE),-
			$(STL_LIBRARY_TIMESTAMP),-
			$(TYPE_LIBRARY_TIMESTAMP)
        @SRC$:ADDTOCLEAN.COM $(CLEANFILE) $(MMS$TARGET)
	COPY/REPLACE _NL: $(MMS$TARGET)
	@$(PRELINK_COMMAND_PROCEDURE)
        @SRC$:ADDTOCLEAN.COM $(CLEANFILE) $(STL_MMS_FILE)

$(PRELINK_COMMAND_PROCEDURE) : -
			$(LINK_COMMAND_TEMPORARY),-
			SRC$:PRELINK.PL
        @SRC$:ADDTOCLEAN.COM $(CLEANFILE) $(MMS$TARGET)
        PERL SRC$:PRELINK.PL $(MMS$SOURCE) $(MMS$TARGET)

$(LINK_COMMAND_PROCEDURE) : -
			$(LINK_COMMAND_TEMPORARY),-
                        SRC$:LINKER.PL
        @SRC$:ADDTOCLEAN.COM $(CLEANFILE) $(MMS$TARGET)
        PERL SRC$:LINKER.PL $(MMS$SOURCE) $(MMS$TARGET)

$(LINK_COMMAND_TEMPORARY) : -
                        SRC$:VB.MMS
        @SRC$:ADDTOCLEAN.COM $(CLEANFILE) $(MMS$TARGET)
        $(MMS)/DESC=$(MMS$SOURCE) 'MMS$FLAGS' /NOACTION/FROM_SOURCE/OUTPUT=$(MMS$TARGET) EXECUTABLE-IMAGES

TYPE_LIBRARY_MODULES = -
	$(VB_TYPE_LIBRARY)(OBJ$:BRNCH-TCONFIGURATIONENTRY.OBJ),-
	$(VB_TYPE_LIBRARY)(OBJ$:BRNCH-T5004XODL.OBJ),-
	$(VB_TYPE_LIBRARY)(OBJ$:BRNCH-T1004XODL.OBJ),-
	$(VB_TYPE_LIBRARY)(OBJ$:BRNCH-T1804XODL.OBJ),-
	$(VB_TYPE_LIBRARY)(OBJ$:BRNCH-TCDR240MODL.OBJ),-
	$(VB_TYPE_LIBRARY)(OBJ$:BRNCH-TDRIVESLOT.OBJ),-
	$(VB_TYPE_LIBRARY)(OBJ$:BRNCH-TDVLODL.OBJ),-
	$(VB_TYPE_LIBRARY)(OBJ$:BRNCH-THP100CODL.OBJ),-
	$(VB_TYPE_LIBRARY)(OBJ$:BRNCH-THP20CODL.OBJ),-
	$(VB_TYPE_LIBRARY)(OBJ$:BRNCH-THP60CODL.OBJ),-
	$(VB_TYPE_LIBRARY)(BRNCH-THP10LCMAILBOXTOVOLUMEODL=OBJ$:BRNCH-THP10LCMAILBOXTOVOLUMEODLCOMMAND.OBJ),-
	$(VB_TYPE_LIBRARY)(OBJ$:BRNCH-THP10LCODL.OBJ),-
	$(VB_TYPE_LIBRARY)(OBJ$:BRNCH-TIDEODL.OBJ),-
	$(VB_TYPE_LIBRARY)(OBJ$:BRNCH-TINFINIDISCINTERFACE.OBJ),-
	$(VB_TYPE_LIBRARY)(OBJ$:BRNCH-TINFINIDISCODL.OBJ),-
	$(VB_TYPE_LIBRARY)(OBJ$:BRNCH-TINTERFACE.OBJ),-
	$(VB_TYPE_LIBRARY)(OBJ$:BRNCH-TM20ODL.OBJ),-
	$(VB_TYPE_LIBRARY)(OBJ$:BRNCH-TMAILBOXSLOT.OBJ),-
	$(VB_TYPE_LIBRARY)(OBJ$:BRNCH-TMO120ODL.OBJ),-
	$(VB_TYPE_LIBRARY)(OBJ$:BRNCH-TNKK556ODL.OBJ),-
	$(VB_TYPE_LIBRARY)(OBJ$:BRNCH-TRW552ODL.OBJ),-
	$(VB_TYPE_LIBRARY)(OBJ$:BRNCH-TTRACE.OBJ),-
	$(VB_TYPE_LIBRARY)(OBJ$:BRNCH-TVDISKCONFIGURATION.OBJ),-
	$(VB_TYPE_LIBRARY)(OBJ$:BRNCH-TVDISKODL.OBJ),-
	$(VB_TYPE_LIBRARY)(OBJ$:BRNCH-TVOLUMESLOT.OBJ)

SYS_LIBRARY_MODULES = -
	$(SYS_LIBRARY)(SYSOBJ$:ASNJB.OBJ),-
	$(SYS_LIBRARY)(ADVD=SYSOBJ$:ASNVDM6.OBJ),-
	$(SYS_LIBRARY)(BRNCH_DISPATCHROUTINE=SYSOBJ$:BRNCH-DISPATCHROUTINE.OBJ),-
	$(SYS_LIBRARY)(BRNCH_GETSYSIOTIME=SYSOBJ$:BRNCH-GETSYSIOTIME.OBJ),-
	$(SYS_LIBRARY)(BRNCH_IBSYCK=SYSOBJ$:BRNCH-IBSYCK.OBJ)

VB_LIBRARY_MODULES = -
	$(VB_LIBRARY)(OBJ$:ASNJB_CLD.OBJ),-
	$(VB_LIBRARY)(OBJ$:BRNCH--ABORTREQUEST.OBJ),-
        $(VB_LIBRARY)(OBJ$:BRNCH-ALLOCATEDRIVEARRAY.OBJ),-
        $(VB_LIBRARY)(OBJ$:BRNCH-ALLOCATEJBUNITARRAY.OBJ),-
        $(VB_LIBRARY)(OBJ$:BRNCH--CHECKDATABASE.OBJ),-
        $(VB_LIBRARY)(OBJ$:BRNCH--CHECKMOUNT.OBJ),-
	$(VB_LIBRARY)(OBJ$:BRNCH--COMPLETEREQUEST.OBJ),-
	$(VB_LIBRARY)(OBJ$:BRNCH-DISKARBITRATION.OBJ),-
	$(VB_LIBRARY)(OBJ$:BRNCH-DUMPCOUNTERS.OBJ),-
	$(VB_LIBRARY)(OBJ$:BRNCH--EXPORT.OBJ),-
	$(VB_LIBRARY)(OBJ$:BRNCH-EXPORTMAGAZINE.OBJ),-
	$(VB_LIBRARY)(OBJ$:BRNCH-EXTERNAL-DATA.OBJ),-
	$(VB_LIBRARY)(OBJ$:BRNCH--IMPORT.OBJ),-
	$(VB_LIBRARY)(OBJ$:BRNCH-IMPORTEXPORTNOTIFY.OBJ),-
	$(VB_LIBRARY)(OBJ$:BRNCH-IMPORTMAGAZINE.OBJ),-
        $(VB_LIBRARY)(OBJ$:BRNCH--INITIALIZEDB.OBJ),-
	$(VB_LIBRARY)(OBJ$:BRNCH--ISMOUNTED.OBJ),-
	$(VB_LIBRARY)(OBJ$:BRNCH--LOGIT.OBJ),-
	$(VB_LIBRARY)(OBJ$:BRNCH--LOGITAST.OBJ),-
	$(VB_LIBRARY)(OBJ$:BRNCH-REQUESTMESSAGE.OBJ),-
	$(VB_LIBRARY)(OBJ$:BRNCH--ROBOTEXCEPTIONS.OBJ),-
	$(VB_LIBRARY)(OBJ$:BRNCH-STARTACP.OBJ),-
	$(VB_LIBRARY)(OBJ$:BRNCH--TRACE.OBJ),-
	$(VB_LIBRARY)(OBJ$:BRNCH-ALLOCATEJBUNITS.OBJ),-
	$(VB_LIBRARY)(OBJ$:BRNCH-ALLOCATEPHYSICALSLOT.OBJ),-
	$(VB_LIBRARY)(OBJ$:BRNCH-ANNOUNCESERVER.OBJ),-
	$(VB_LIBRARY)(OBJ$:BRNCH-AOFDYNAMICDESCRIPTORS.OBJ),-
	$(VB_LIBRARY)(OBJ$:BRNCH-ATOMICSET.OBJ),-
	$(VB_LIBRARY)(OBJ$:BRNCH-CONFIGURATIONENTRY.OBJ),-
	$(VB_LIBRARY)(OBJ$:BRNCH-CREATEFTDEVICE.OBJ),-
 	$(VB_LIBRARY)(OBJ$:BRNCH-DATABASE.OBJ),-
 	$(VB_LIBRARY)(OBJ$:BRNCH-DRIVETOVOLUME.OBJ),-
 	$(VB_LIBRARY)(OBJ$:BRNCH-ENABLEOPCOM.OBJ),-
	$(VB_LIBRARY)(OBJ$:BRNCH-FLIPINDRIVE.OBJ),-
	$(VB_LIBRARY)(OBJ$:BRNCH-GETLIBRARYNAME.OBJ),-
	$(VB_LIBRARY)(OBJ$:BRNCH-GETOPCOMCHANNEL.OBJ),-
	$(VB_LIBRARY)(OBJ$:BRNCH-HANDLE-OPCOM.OBJ),-
	$(VB_LIBRARY)(OBJ$:BRNCH-INITIALEVENTLOOP.OBJ),-
	$(VB_LIBRARY)(OBJ$:BRNCH-INITIALIZEMOVER.OBJ),-
	$(VB_LIBRARY)(OBJ$:BRNCH-MAGAZINETOPHYSICALSLOTS.OBJ),-
	$(VB_LIBRARY)(OBJ$:BRNCH-MAILBOXTOSLOT.OBJ),-
	$(VB_LIBRARY)(OBJ$:BRNCH-MASTERCOMMUNICATIONS.OBJ),-
	$(VB_LIBRARY)(OBJ$:BRNCH-MASTERFAILED.OBJ),-
	$(VB_LIBRARY)(OBJ$:BRNCH-MOUNTREQUEST.OBJ),-
	$(VB_LIBRARY)(OBJ$:BRNCH-PROCESSJUKEBOXCOMMANDS.OBJ),-
	$(VB_LIBRARY)(OBJ$:BRNCH-ROBOTSTATUS.OBJ),-
	$(VB_LIBRARY)(OBJ$:BRNCH-SENDCOMMANDMESSAGE.OBJ),-
	$(VB_LIBRARY)(OBJ$:BRNCH-SLOTTOJBUNITS.OBJ),-
	$(VB_LIBRARY)(OBJ$:BRNCH-SLOTTOMAILBOX.OBJ),-
	$(VB_LIBRARY)(OBJ$:BRNCH-STARTMOVER.OBJ),-
	$(VB_LIBRARY)(OBJ$:BRNCH-STARTSLAVES.OBJ),-
	$(VB_LIBRARY)(OBJ$:BRNCH-VIRTUAL-SET.OBJ), -
	$(VB_LIBRARY)(OBJ$:BRNCH-VIRTUAL-SHOW.OBJ),-
	$(VB_LIBRARY)(OBJ$:BRNCH-VOLUMETODRIVE.OBJ),-
        $(VB_LIBRARY)(OBJ$:DEVLCKINFO.OBJ),-
	$(VB_LIBRARY)(SQSSTATUSDEFINITION=OBJ$:BRNCHSTATUSDEFINITION.OBJ),-
	$(VB_LIBRARY)(OBJ$:BRNCH-STR.OBJ)

VB-LIBRARY : -
			SMPMAR-LIBRARY,-
			MACRO-LIBRARY,-
			OBJECT-LIBRARY,-
			TYPE-LIBRARY
	! VB-Library Complete

.IFDEF	ALPHA
KIT : -
			BLD$:BRNCH-KIT-FILES.DAT,-
			BUILD-CHANGES
	KITBUILDER BLD$:BRNCH-KIT-FILES.DAT $(KITVERSION)
        @SRC$:ADDTOCLEAN.COM $(CLEANFILE) $(KITVERSION).%

KIT-ZIP : 
	IF F$SEARCH("$(KITVERSION).ZIP") .NES. "" THEN DELETE $(KITVERSION).ZIP;*
	ZIP "-Vj" $(KITVERSION).ZIP $(KITVERSION).%;
        @SRC$:ADDTOCLEAN.COM $(CLEANFILE) $(KITVERSION).ZIP

SOURCE-ZIP :		BUILD-CHANGES,-
			EXE$:BUILD-ZIP.COM,-
			EXE$:BUILD-ALL-ZIP.COM,-
			SOURCE-ZIP-IT
	! Source ZIP Complete

EXE$:BUILD-ALL-ZIP.COM : SRC$:BUILD-ALL-ZIP.DCL

EXE$:BUILD-ZIP.COM :	SRC$:BUILD-ZIP.DCL

SHIPIT : -
			ACORN$CDROM:[VIRTUAL-BRANCHES]BRNCH-VIRTUAL.PDF,-
			ACORN$CDROM:[VIRTUAL-BRANCHES]RELEASE-NOTES.PDF
	IF F$SEARCH("ACORN$CDROM:[ZIPS.INTERIM]VB*.*") .NES. "" THEN DELETE ACORN$CDROM:[ZIPS.INTERIM]VB*.*;*
	IF F$SEARCH("ACORN$CDROM:[ZIPS.PREVIOUS]VB*.*") .NES. "" THEN DELETE ACORN$CDROM:[ZIPS.PREVIOUS]VB*.*;*
	IF F$SEARCH("ACORN$CDROM:[ZIPS]VB*.*") .NES. "" THEN RENAME ACORN$CDROM:[ZIPS]VB*.* ACORN$CDROM:[ZIPS.PREVIOUS]
	IF F$SEARCH("ACORN$CDROM:[VIRTUAL-BRANCHES]VB*.*") .NES. "" THEN DELETE ACORN$CDROM:[VIRTUAL-BRANCHES]VB*.*;*
	SHIPIT $(KITVERSION) ACORN$CDROM:[VIRTUAL-BRANCHES] ACORN$CDROM:[ZIPS]

ACORN$CDROM:[VIRTUAL-BRANCHES]BRNCH-VIRTUAL.PDF : -
			SRC$:BRNCH-VIRTUAL.PDF
	COPY $(MMS$SOURCE) $(MMS$TARGET)
	IF F$SEARCH("$(MMS$TARGET);-1") .NES. "" THEN PURGE $(MMS$TARGET)

ACORN$CDROM:[VIRTUAL-BRANCHES]RELEASE-NOTES.PDF : -
			SRC$:RELEASE-NOTES.PDF
	COPY $(MMS$SOURCE) $(MMS$TARGET)
	IF F$SEARCH("$(MMS$TARGET);-1") .NES. "" THEN PURGE $(MMS$TARGET)
.ENDIF

BUILD-CHANGES :
	@SRC$:CHANGES.COM
        @SRC$:ADDTOCLEAN.COM $(CLEANFILE) BLD$:CHANGES.MMS
        @SRC$:ADDTOCLEAN.COM $(CLEANFILE) $C$HANGES.
	
SOURCE-ZIP-IT :
	@EXE$:BUILD-ALL-ZIP.COM $(KITVERSION) $(CLEANFILE)

MISCELLANEOUS :		EXE$:BRNCH-VIRTUAL-CONFIGURATION-UTILITY.COM,-
			EXE$:BRNCH-VIRTUAL-CONVERT.COM,-
			EXE$:BRNCH-VIRTUAL-SYSHUTDWN.COM,-
			BLD$:BRNCH-KIT-FILES.DAT,-
			EXE$:FIXSDL.COM,-
			$(LINK_COMMAND_PROCEDURE),-
                        EXE$:ZMENU.EXE,-
                        EXE$:ZMENU_SCROLL.EXE
	! Miscellaneous complete

EXE$:BRNCH-VIRTUAL-CONFIGURATION-UTILITY.COM : -
			SRC$:BRNCH-VIRTUAL-CONFIGURATION-UTILITY.DCL

EXE$:BRNCH-VIRTUAL-CONVERT.COM : -
			SRC$:BRNCH-VIRTUAL-CONVERT.DCL

EXE$:BRNCH-VIRTUAL-SYSHUTDWN.COM : -
			SRC$:BRNCH-VIRTUAL-SYSHUTDWN.DCL

BLD$:BRNCH-KIT-FILES.DAT : -
			SRC$:BRNCH-KIT-FILES.DAT, -
			SRC$:BRNCH-AXP-KIT-FILES.DAT
	COPY SRC$:BRNCH-KIT-FILES.DAT, SRC$:BRNCH-AXP-KIT-FILES.DAT -
			$(MMS$TARGET)

EXE$:ZMENU.EXE : -
                        $(ZMENU_SOURCE)
        @SRC$:ADDTOCLEAN.COM $(CLEANFILE) $(MMS$TARGET)
        COPY $(MMS$SOURCE) $(MMS$TARGET)

EXE$:ZMENU_SCROLL.EXE : -
                        $(ZMENU_SCROLL_SOURCE)
        @SRC$:ADDTOCLEAN.COM $(CLEANFILE) $(MMS$TARGET)
        COPY $(MMS$SOURCE) $(MMS$TARGET)

MACRO-LIBRARY :		OLB$:VB-LIBRARY.MLB(CMINIT=INC$:COMMON.MAR),-
			OLB$:VB-LIBRARY.MLB($IOSBDEF=INC$:BRNCH-ACP-DATA-STRUCTURES.MAR),-
			OLB$:VB-LIBRARY.MLB($SIZINGDEF=INC$:SIZING.MAR),-
			OLB$:VB-LIBRARY.MLB($BRNCHDEF=INC$:SQSDEF.MAR),-
			OLB$:VB-LIBRARY.MLB($OPCOM_CATCHERDEF=INC$:SQS-OPCOM-CATCHER.MAR),-
			OLB$:VB-LIBRARY.MLB($JBUCBDEF=INC$:BRNCH-UCB.MAR)
	! Macro-Library Complete

OBJECT-LIBRARY :	ACP-OBJECT-LIBRARY,-
			SYSTEM-DEPENDENT-LIBRARY
	! Object-Library Complete
	
ACP-OBJECT-LIBRARY :	$(VB_LIBRARY_MODULES)
	! acp-object-library Complete

MOVER-LIBRARIES :	TYPE-LIBRARY

SYSTEM-DEPENDENT-LIBRARY : -
			$(SYS_LIBRARY_MODULES)
	! System-dependent-library complete

SMPMAR-LIBRARY :	OLB$:SMPMAR.MLB(SM32DEFN=SRC$:SMPMAR.MAR),-
			OLB$:SMPMAR.MLB(CMINIT=SRC$:COMMON.MAR)
	! SMPMAR-Library Complete

TYPE-LIBRARY :		MOVER-TYPE-LIBRARY,-
			SQS-LIBRARY
	! type-library complete

SQS-LIBRARY :
	@SRC$:BRANCHES.PROFILE
	YYY = MMS$FLAGS .EQS. ""
	IF YYY THEN XXX := /MACRO=(DEBUG=ALL)
	IF .NOT. YYY THEN XXX = MMS$FLAGS - ")" + ",DEBUG=ALL)"
	$(MMS)'XXX' /DESCRIPTION=SRC$:SQS.MMS/OUT=SYS$OUTPUT: -
		CXX_REPOSITORY$:TEMPLATE.DAT,-
		PORT-LIBRARY,-
		TYPE-LIBRARY,-
		STL-LIBRARY,-
		EXE$:SETDEBUG.COM,-
		EXE$:MAKE.COM
	@SRC$:.PROFILE

STL-LIBRARY-GATHER :
	XXX = F$EDIT(F$FILE("$(STL_LIBRARY_TIMESTAMP)","RDT"),"TRIM,COMPRESS")
	- DOALL "LIBRARY/REPLACE/LOG $(STL_LIBRARY) ?DEV:[?DIR]?FIL.?TYP" CXX_REPOSITORY$:*.*OBJ/SINCE="''XXX'"
	COPY/REPLACE _NL: $(STL_LIBRARY_TIMESTAMP)

MOVER-TYPE-LIBRARY :	$(TYPE_LIBRARY_MODULES)
	! mover-type-library complete

!
! This should only be executed when NOTHING is reserved in the
! CMS libraries because it cleans out the current directory as
! well as the varous build libraries.
!
CLEAN :			CLEAN-VB,-
			CLEAN-B
	! Clean Complete

CLEAN-VB :
	- IF F$SEARCH("'$(CLEANFILE)") .NES. "" THEN @$(CLEANFILE)
	- XXX = F$PARSE(";*","'$(CLEANFILE)")
	- IF F$SEARCH("'$(CLEANFILE)") .NES. "" THEN DELETE 'XXX'
	- DELETE/EXCLUDE=(TEMPLATE.DAT,CXX$DEMANGLER_DB.) CXX_REPOSITORY$:*.*;*
        - DELETE/LOG [.A]*.*.*
        - DELETE/LOG [.B]*.*.*
        - DELETE/LOG [.C]*.*.*
        - DELETE/LOG [.D]*.*.*
        - DELETE/LOG [.E]*.*.*

CLEAN-B :
	@SRC$:BRANCHES.PROFILE
	XXX = MMS$FLAGS - ")" + ",DEBUG=ALL)"
	$(MMS)'MMS$FLAGS' /DESCRIPTION=SRC$:SQS.MMS/OUT=SYS$OUTPUT: -
		CLEAN
	@SRC$:.PROFILE

EXE$:ADDSQS.EXE :	OBJ$:ADDSQS.OBJ
	LINK /NODEBUG/NOTRACE/EXEC=$(MMS$TARGET) -
		$(MMS$SOURCE)

EXE$:BRNCH-JB-MOVER.EXE : -
			OBJ$:BRNCH-JB-MOVER.OBJ,-
			$(PORT_LIBRARY_TIMESTAMP),-
			$(SQS_TYPE_LIBRARY_TIMESTAMP),-
			$(STL_LIBRARY_TIMESTAMP),-
			$(VB_LIBRARY_TIMESTAMP),-
			$(VB_TYPE_LIBRARY_TIMESTAMP)
	LIS$ = F$PARSE("LIS$:.MAP","$(MMS$TARGET)")
	@SRC$:ADDTOCLEAN.COM $(CLEANFILE) 'LIS$'
        @SRC$:ADDTOCLEAN.COM $(CLEANFILE) $(MMS$TARGET)
	! LINK $(MMS$TARGET)
	LINK /EXEC=$(MMS$TARGET)/TRACE/DEBUG /MAP='LIS$' $(SYSEXE) -
		OBJ$:BRNCH-JB-MOVER.OBJ,-
		$(VB_TYPE_LIBRARY)/LIBRARY,-
		$(VB_LIBRARY)/INCLUDE=(SQSSTATUSDEFINITION,DEVLCKINFO)/LIBRARY,-
		$(SQS_TYPE_LIBRARY)/LIBRARY,-
		$(STL_LIBRARY)/LIBRARY -
		$(PORT_LIBRARY_LINK)
	SETDEBUG $(MMS$TARGET) /NODEBUG
	! END LINK $(MMS$TARGET)

SRC$:CONVERT-SQS-TO-BRNCH.COM : -
				SRC$:CONVERT-SQS-TO-BRNCH.DCL

CXX$USER_INCLUDE:BRNCH-DISK-CONFIGURATION-INCLUDE-FILES.H : -
				CXX$USER_INCLUDE:SQS-DISK-CONFIGURATION-INCLUDE-FILES.H,-
				SRC$:CONVERT-SQS-TO-BRNCH.COM
	@SRC$:CONVERT-SQS-TO-BRNCH $(MMS$SOURCE) $(MMS$TARGET)
        @SRC$:ADDTOCLEAN.COM $(CLEANFILE) $(MMS$TARGET)

CXX$USER_INCLUDE:BRNCH-DISK-CONFIGURATION-OBJECTS.H : -
				CXX$USER_INCLUDE:SQS-DISK-CONFIGURATION-OBJECTS.H,-
				SRC$:CONVERT-SQS-TO-BRNCH.COM
	@SRC$:CONVERT-SQS-TO-BRNCH $(MMS$SOURCE) $(MMS$TARGET)
        @SRC$:ADDTOCLEAN.COM $(CLEANFILE) $(MMS$TARGET)

OBJ$:ADDSQS.OBJ :		SRC$:ADDSQS.C


EXE$:BRNCH-VIRTUAL-ACP.EXE :	OBJ$:BRNCH-VIRTUAL-ACP.OBJ,-
				$(VB_LIBRARY)-TIME-STAMP.1,-
				$(SYS_LIBRARY_TIMESTAMP)
	LIS$ = F$PARSE("LIS$:.MAP","$(MMS$TARGET)")
	@SRC$:ADDTOCLEAN.COM $(CLEANFILE) 'LIS$'
        @SRC$:ADDTOCLEAN.COM $(CLEANFILE) $(MMS$TARGET)
	LINK /EXEC=$(MMS$TARGET) $(NATIVE) /TRACE /DEBUG /MAP='LIS$' $(SYSEXE) -
		OBJ$:BRNCH-VIRTUAL-ACP.OBJ,-
		$(SQS_TYPE_LIBRARY)/INCLUDE=(SQS_OPCOM_PARSER_TABLES,SQS--CLUSTERMOUNT),-
		$(SYS_LIBRARY)/LIBRARY/INCLUDE=(BRNCH_DISPATCHROUTINE,BRNCH_GETSYSIOTIME),-
		$(VB_LIBRARY)/INCLUDE=(SQSSTATUSDEFINITION)/LIBRARY -
		$(STB_VAXC_OPTIONS) -
		$(ASNJB_AXP_OPTIONS)
	SETDEBUG $(MMS$TARGET) /NODEBUG

EXE$:BRNCH-VIRTUAL-DISK.EXE :	$(SYS_LIBRARY_TIMESTAMP),-
				$(VB_LIBRARY)-TIME-STAMP.1
	LIS$ = F$PARSE("LIS$:.MAP","$(MMS$TARGET)")
	@SRC$:ADDTOCLEAN.COM $(CLEANFILE) 'LIS$'
        @SRC$:ADDTOCLEAN.COM $(CLEANFILE) $(MMS$TARGET)
	LINK /EXEC=EXE$:BRNCH-VIRTUAL-DISK.EXE /DEBUG /TRACE $(SYSEXE) /MAP='LIS$' -
		$(SYS_LIBRARY)/INCLUDE=(ADVD),-
		$(SYS_LIBRARY)/LIBRARY,-
		$(VB_LIBRARY)/LIBRARY -
                $(STB_OPTIONS)
	SETDEBUG $(MMS$TARGET) /NODEBUG

EXE$:BRNCH-VIRTUAL.EXE : -
			OBJ$:BRNCH-VIRTUAL.OBJ,-
			SRC$:VB.OPT,-
			$(VB_LIBRARY_TIMESTAMP),-
			$(VB_TYPE_LIBRARY_TIMESTAMP),-
			$(SQS_TYPE_LIBRARY_TIMESTAMP),-
			$(STL_LIBRARY_TIMESTAMP),-
			$(PORT_LIBRARY_TIMESTAMP)
	LIS$ = F$PARSE("LIS$:.MAP","$(MMS$TARGET)")
	@SRC$:ADDTOCLEAN.COM $(CLEANFILE) 'LIS$'
        @SRC$:ADDTOCLEAN.COM $(CLEANFILE) $(MMS$TARGET)
	! LINK $(MMS$TARGET)
	LINK /MAP='LIS$' /EXEC=$(MMS$TARGET)/TRACE/DEBUG  $(SYSEXE) -
		OBJ$:BRNCH-VIRTUAL.OBJ,-
		$(SQS_TYPE_LIBRARY)/INCLUDE=(SQS_OPCOM_PARSER_TABLES),-
		$(VB_TYPE_LIBRARY)/LIBRARY,-
		$(VB_LIBRARY)/INCLUDE=(SQSSTATUSDEFINITION,DEVLCKINFO)/LIBRARY,-
		$(SQS_TYPE_LIBRARY)/LIBRARY,-
		$(STL_LIBRARY)/LIBRARY -
		$(PORT_LIBRARY_LINK) -
		$(STB_VAXC_OPTIONS)
	SETDEBUG $(MMS$TARGET) /NODEBUG
	! END LINK $(MMS$TARGET)

$(DFDRIVER_EXE) :	$(DFDRIVER_OPTIONS_SRC),-
			$(DFDRIVER_OBJ)
        !
        !  Note that for Alpha, DFDRIVER.OBJ is specified in the options
	!  file, whereas for VAX, it's specified in the command line.
	!  The object file is specified in the macro DFDRIVER_OPTIONS when
	!  the macro is defined.
	!
	LIS$ = F$PARSE("LIS$:.MAP","$(MMS$TARGET)")
	@SRC$:ADDTOCLEAN.COM $(CLEANFILE) 'LIS$'
        @SRC$:ADDTOCLEAN.COM $(CLEANFILE) $(MMS$TARGET)
	LINK /NOTRACE/MAP='LIS$' /EXEC=$(MMS$TARGET) $(SYSEXE) -
		$(DFDRIVER_LINK_QUALS) -
		$(DFDRIVER_OPTIONS)

!++
! build this to get symbols usable by analyze/system
!--

SYSOBJ$:JBDRIVER-UCB.OBJ : -
			SRC$:JBDRIVER-UCB.MAR,-
			OLB$:VB-LIBRARY.MLB($JBUCBDEF=INC$:BRNCH-UCB.MAR)
        LIS$ = F$PARSE("LIS$:.LIS","$(MMS$TARGET)")
        @SRC$:ADDTOCLEAN.COM $(CLEANFILE) 'LIS$'
        @SRC$:ADDTOCLEAN.COM $(CLEANFILE) $(MMS$TARGET)
	$(MACRO) $(MFLAGS) /NODEBUG $(EVAX) $(MMS$SOURCE)

$(JBDRIVER_EXE) :	$(JBDRIVER_OPTIONS_SRC),-
                        $(JBDRIVER_OBJ)
	!
	!  Note that for Alpha, JBDRIVER.OBJ is specified in the options
	!  file, whereas for VAX, it's specified in the command line.
	!  The object file is specified in the macro JBDRIVER_OPTIONS when
	!  the macro is defined.
	!
	LIS$ = F$PARSE("LIS$:.MAP","$(MMS$TARGET)")
	@SRC$:ADDTOCLEAN.COM $(CLEANFILE) 'LIS$'
        @SRC$:ADDTOCLEAN.COM $(CLEANFILE) $(MMS$TARGET)
	LINK /NOTRACE/MAP='LIS$'/EXEC=$(MMS$TARGET) $(SYSEXE) -
		$(JBDRIVER_LINK_QUALS) -
		$(JBDRIVER_OPTIONS)

BLD$:JBDRIVER.OPT :	SRC$:JBDRIVER.OPT
	COPY $(MMS$SOURCE) $(MMS$TARGET)
	OPEN /APPEND OUTPUT $(MMS$TARGET)
	WRITE OUTPUT "SYMBOL=JBALCLS,255"
	CLOSE OUTPUT
        @SRC$:ADDTOCLEAN.COM $(CLEANFILE) $(MMS$TARGET)

BLD$:JBDRIVER-AXP-OPTIONS.OPT : -
			SRC$:JBDRIVER-AXP-OPTIONS.OPT
	COPY $(MMS$SOURCE) $(MMS$TARGET)
	OPEN /APPEND OUTPUT $(MMS$TARGET)
	WRITE OUTPUT "SYMBOL=JBALCLS,255"
	CLOSE OUTPUT
        @SRC$:ADDTOCLEAN.COM $(CLEANFILE) $(MMS$TARGET)


!
!-----------------------------------------------------------------------------
!  Dependencies generating include files of one flavor or another.
!  Include files are only built on the VAX side of the build.
!

CXX$USER_INCLUDE:BRNCH-ACP-DATA-STRUCTURES.HXX : -
				SRC$:BRNCH-ACP-DATA-STRUCTURES-CXX.SDL,-
				SRC$:BRNCH-ACP-DATA-STRUCTURES.SDL,-
				BLD$:SIZING.SDI
	$(SDL)/LANGUAGE=C=$(MMS$TARGET) $(MMS$SOURCE)
        @SRC$:ADDTOCLEAN.COM $(CLEANFILE) $(MMS$TARGET)

DECC$USER_INCLUDE:BRNCH-ACP-DATA-STRUCTURES.H : -
				SRC$:BRNCH-ACP-DATA-STRUCTURES-C.SDL,-
				SRC$:BRNCH-ACP-DATA-STRUCTURES.SDL,-
				BLD$:SIZING.SDI
	$(SDL)/LANGUAGE=C=$(MMS$TARGET) $(MMS$SOURCE)
        @SRC$:ADDTOCLEAN.COM $(CLEANFILE) $(MMS$TARGET)

INC$:BRNCH-ACP-DATA-STRUCTURES.MAR : -
				SRC$:BRNCH-ACP-DATA-STRUCTURES-C.SDL,-
				SRC$:BRNCH-ACP-DATA-STRUCTURES.SDL,-
				BLD$:SIZING.SDI
	$(SDL)/LANGUAGE=MACRO=$(MMS$TARGET)/VMS $(MMS$SOURCE)
        @SRC$:ADDTOCLEAN.COM $(CLEANFILE) $(MMS$TARGET)

EXE$:FIXSDL.COM :		SRC$:FIXSDL.DCL

DECC$USER_INCLUDE:OPCDEFTMP.H : -
				SRC$:OPCDEFTMP.SDL

DECC$USER_INCLUDE:SIZING.H : -
			SRC$:SIZING.SDL

BLD$:SIZING.SDI :		SRC$:SIZING.SDL
	$(SDL)/PARSE=$(MMS$TARGET) $(MMS$SOURCE)
        @SRC$:ADDTOCLEAN.COM $(CLEANFILE) $(MMS$TARGET)

BLD$:SQSDEF.SDL : -
				SRC$:SQSSTATUSDEFINITION.MSG
	MESSAGE/SDL=$(MMS$TARGET) $(MMS$SOURCE)
        @SRC$:ADDTOCLEAN.COM $(CLEANFILE) $(MMS$TARGET)

CXX$USER_INCLUDE:SQSDEF.H,-
DECC$USER_INCLUDE:SQSDEF.H : -
				BLD$:SQSDEF.SDL,-
				EXE$:ADDSQS.EXE
	$(SDL)/LANGUAGE=C=$(MMS$TARGET) $(MMS$SOURCE)
	ADDSQS := $EXE$:ADDSQS.EXE
	ADDSQS <$(MMS$TARGET) >$(MMS$TARGET)
        @SRC$:ADDTOCLEAN.COM $(CLEANFILE) $(MMS$TARGET)

CXX$USER_INCLUDE:SQS-INVENTORY-TABLE.H : -
			SRC$:SQS-INVENTORY-TABLE.SDL

CXX$USER_INCLUDE:SQS-MAGIC-NUMBERS.H,-
DECC$USER_INCLUDE:SQS-MAGIC-NUMBERS.H : -
				SRC$:SQS-MAGIC-NUMBERS.SDL

DECC$USER_INCLUDE:SQS-OPCOM-CATCHER.H : -
				SRC$:SQS-OPCOM-CATCHER.SDL

INC$:BRNCH-UCB.MAR : -
				SRC$:BRNCH-UCB.SDL,-
				EXE$:FIXSDL.COM
	$(SDL)/LANGUAGE=MACRO=$(MMS$TARGET)/VMS $(MMS$SOURCE)
	@EXE$:FIXSDL.COM $(MMS$TARGET) JBUCB UCB
        @SRC$:ADDTOCLEAN.COM $(CLEANFILE) $(MMS$TARGET)

INC$:SIZING.MAR :		SRC$:SIZING.SDL
	$(SDL)/LANGUAGE=MACRO=$(MMS$TARGET)/VMS $(MMS$SOURCE)
        @SRC$:ADDTOCLEAN.COM $(CLEANFILE) $(MMS$TARGET)

INC$:SQS-OPCOM-CATCHER.MAR :	SRC$:SQS-OPCOM-CATCHER.SDL
	$(SDL)/LANGUAGE=MACRO=$(MMS$TARGET)/VMS SRC$:SQS-OPCOM-CATCHER.SDL
        @SRC$:ADDTOCLEAN.COM $(CLEANFILE) $(MMS$TARGET)

INC$:SQSDEF.MAR :		BLD$:SQSDEF.SDL
	$(SDL)/LANGUAGE=MACRO=$(MMS$TARGET)/VMS $(MMS$SOURCE)
        @SRC$:ADDTOCLEAN.COM $(CLEANFILE) $(MMS$TARGET)

!
!-----------------------------------------------------------------------------
!  Dependencies generating OBJECT modules
!

SYSOBJ$:ASNJB.OBJ :		SRC$:ASNJB.MAR,-
				OLB$:SMPMAR.MLB-TIME-STAMP,-
				OLB$:VB-LIBRARY.MLB-TIME-STAMP

OBJ$:ASNJB_CLD.OBJ : SRC$:ASNJB_CLD.CLD

SYSOBJ$:ASNVDM6.OBJ : SRC$:ASNVDM6.MAR

SYSOBJ$:BRNCH-GETSYSIOTIME.OBJ : -
				SRC$:BRNCH-GETSYSIOTIME.MAR,-
				OLB$:SMPMAR.MLB-TIME-STAMP,-
				OLB$:VB-LIBRARY.MLB-TIME-STAMP

OBJ$:DEVLCKINFO.OBJ :           SRC$:DEVLCKINFO.MAR
        LIS$ = F$PARSE("LIS$:.LIS","$(MMS$TARGET)")
        @SRC$:ADDTOCLEAN.COM $(CLEANFILE) 'LIS$'
        @SRC$:ADDTOCLEAN.COM $(CLEANFILE) $(MMS$TARGET)
        $(MACRO) $(MFLAGS) $(EVAX) $(MMS$SOURCE) + SYS$SHARE:LIB.MLB/LIBRARY

$(DFDRIVER_OBJ) :		SRC$:DFDRIVER.MAR
        LIS$ = F$PARSE("LIS$:.LIS","$(MMS$TARGET)")
        @SRC$:ADDTOCLEAN.COM $(CLEANFILE) 'LIS$'
        @SRC$:ADDTOCLEAN.COM $(CLEANFILE) $(MMS$TARGET)
	$(MACRO) $(MFLAGS) /NODEBUG $(EVAX) $(MMS$SOURCE)

$(JBDRIVER_OBJ) :		SRC$:JBDRIVER.MAR,-
				OLB$:VB-LIBRARY.MLB-TIME-STAMP,-
				OLB$:VB-LIBRARY.MLB($JBUCBDEF=INC$:BRNCH-UCB.MAR),-
				OLB$:SMPMAR.MLB-TIME-STAMP
        LIS$ = F$PARSE("LIS$:.LIS","$(MMS$TARGET)")
        @SRC$:ADDTOCLEAN.COM $(CLEANFILE) 'LIS$'
        @SRC$:ADDTOCLEAN.COM $(CLEANFILE) $(MMS$TARGET)
	$(MACRO) $(MFLAGS) /NODEBUG $(EVAX) $(MMS$SOURCE)+-
		OLB$:VB-LIBRARY.MLB/LIBRARY+-
		OLB$:SMPMAR.MLB/LIBRARY

SYSOBJ$:BRNCH-IBSYCK.OBJ : -
				SRC$:BRNCH-IBSYCK.MAR,-
				OLB$:SMPMAR.MLB-TIME-STAMP,-
				OLB$:VB-LIBRARY.MLB-TIME-STAMP

OBJ$:BRNCH-OPCOM-PARSER-TABLES.OBJ : -
				SRC$:SQS-OPCOM-PARSER-TABLES.MAR,-
				OLB$:VB-LIBRARY.MLB-TIME-STAMP,-
				OLB$:SMPMAR.MLB-TIME-STAMP
        LIS$ = F$PARSE("LIS$:.LIS","$(MMS$TARGET)")
        @SRC$:ADDTOCLEAN.COM $(CLEANFILE) 'LIS$'
        @SRC$:ADDTOCLEAN.COM $(CLEANFILE) $(MMS$TARGET)
	$(MACRO) $(MFLAGS) $(EVAX) $(MMS$SOURCE)+-
		OLB$:VB-LIBRARY.MLB/LIBRARY

OBJ$:BRNCHSTATUSDEFINITION.OBJ : -
				SRC$:SQSSTATUSDEFINITION.MSG
	MESSAGE $(MSGFLAGS) $(MMS$SOURCE)
        @SRC$:ADDTOCLEAN.COM $(CLEANFILE) $(MMS$TARGET)


!++
! Dependencies that are constructed mechanically.
!--

OBJ$:BRNCH-ATOMICSET.OBJ : -
                                SRC$:BRNCH-ATOMICSET.C

OBJ$:BRNCH-JB-MOVER.OBJ : -
                                SRC$:BRNCH-JB-MOVER.CXX,-
				CXX$USER_INCLUDE:BRNCH-DISK-CONFIGURATION-INCLUDE-FILES.H,-
				CXX$USER_INCLUDE:BRNCH-DISK-CONFIGURATION-OBJECTS.H,-
				CXX$USER_INCLUDE:BRNCH-LOCAL-CONFIGURATION-INCLUDE-FILES.H,-
				CXX$USER_INCLUDE:BRNCH-LOCAL-CONFIGURATION-OBJECTS.H,-
				CXX$USER_INCLUDE:BRNCH-T1004XODL.H,-
				CXX$USER_INCLUDE:BRNCH-T1804XODL.H,-
				CXX$USER_INCLUDE:BRNCH-T5004XODL.H,-
				CXX$USER_INCLUDE:BRNCH-TCDR240MODL.H,-
				CXX$USER_INCLUDE:BRNCH-TCONFIGURATIONENTRY.H,-
				CXX$USER_INCLUDE:BRNCH-TDVLODL.H,-
				CXX$USER_INCLUDE:BRNCH-THP100CODL.H,-
				CXX$USER_INCLUDE:BRNCH-THP10LCODL.H,-
				CXX$USER_INCLUDE:BRNCH-THP20CODL.H,-
				CXX$USER_INCLUDE:BRNCH-THP60CODL.H,-
				CXX$USER_INCLUDE:BRNCH-TIDEODL.H,-
				CXX$USER_INCLUDE:BRNCH-TINFINIDISCODL.H,-
				CXX$USER_INCLUDE:BRNCH-TINTERFACE.H,-
				CXX$USER_INCLUDE:BRNCH-TM20ODL.H,-
				CXX$USER_INCLUDE:BRNCH-TMO120ODL.H,-
				CXX$USER_INCLUDE:BRNCH-TNKK556ODL.H,-
				CXX$USER_INCLUDE:BRNCH-TRW552ODL.H,-
				CXX$USER_INCLUDE:BRNCH-TTRACE.H,-
				CXX$USER_INCLUDE:BRNCH-TVDISKODL.H,-
				CXX$USER_INCLUDE:DESCRIP.H,-
				CXX$USER_INCLUDE:SCSI-TAPPLICATION.H,-
				CXX$USER_INCLUDE:SQS-MAGIC-NUMBERS.H,-
				CXX$USER_INCLUDE:SQS-T1004XODL.H,-
				CXX$USER_INCLUDE:SQS-T1804XODL.H,-
				CXX$USER_INCLUDE:SQS-T5004XODL.H,-
				CXX$USER_INCLUDE:SQS-TAPPLICATION.H,-
				CXX$USER_INCLUDE:SQS-TBOOLEAN.H,-
				CXX$USER_INCLUDE:SQS-TCDR240MODL.H,-
				CXX$USER_INCLUDE:SQS-TCMDTRANSPORT.H,-
				CXX$USER_INCLUDE:SQS-TCONFIGURATION.H,-
				CXX$USER_INCLUDE:SQS-TCONFIGURATIONENTRY.H,-
				CXX$USER_INCLUDE:SQS-TCONFIGURE.H,-
				CXX$USER_INCLUDE:SQS-TDRIVE.H,-
				CXX$USER_INCLUDE:SQS-TDVLODL.H,-
				CXX$USER_INCLUDE:SQS-TELEMENTADDRESS.H,-
				CXX$USER_INCLUDE:SQS-TGKATRANSPORT.H,-
				CXX$USER_INCLUDE:SQS-TGSATRANSPORT.H,-
				CXX$USER_INCLUDE:SQS-THP100CODL.H,-
				CXX$USER_INCLUDE:SQS-THP10LCODL.H,-
				CXX$USER_INCLUDE:SQS-THP20CODL.H,-
				CXX$USER_INCLUDE:SQS-THP60CODL.H,-
				CXX$USER_INCLUDE:SQS-TIDECONFIGURATION.H,-
				CXX$USER_INCLUDE:SQS-TIDEODL.H,-
				CXX$USER_INCLUDE:SQS-TINFINIDISCODL.H,-
				CXX$USER_INCLUDE:SQS-TINTERFACE.H,-
				CXX$USER_INCLUDE:SQS-TM20ODL.H,-
				CXX$USER_INCLUDE:SQS-TMEDIATYPE.H,-
				CXX$USER_INCLUDE:SQS-TMO120ODL.H,-
				CXX$USER_INCLUDE:SQS-TNKK556ODL.H,-
				CXX$USER_INCLUDE:SQS-TODL.H,-
				CXX$USER_INCLUDE:SQS-TODLCOMMAND.H,-
				CXX$USER_INCLUDE:SQS-TRANS-CONFIGURATION-INCLUDE-FILES.H,-
				CXX$USER_INCLUDE:SQS-TRANS-CONFIGURATION-OBJECTS.H,-
				CXX$USER_INCLUDE:SQS-TRW552ODL.H,-
				CXX$USER_INCLUDE:SQS-TSCSISTATUS.H,-
				CXX$USER_INCLUDE:SQS-TSCSITRANSPORT.H,-
				CXX$USER_INCLUDE:SQS-TTRACE.H,-
				CXX$USER_INCLUDE:SQS-TTRANSPORT.H,-
				CXX$USER_INCLUDE:SQS-TTRANSPORTCONFIGURE.H,-
				CXX$USER_INCLUDE:SQS-TVMSSTATUS.H,-
				CXX$USER_INCLUDE:SQSDEF.H

OBJ$:BRNCH-THP60CODL.OBJ : -
				SRC$:BRNCH-THP60CODL.CXX,-
				CXX$USER_INCLUDE:BRNCH-THP60CODL.H,-
				CXX$USER_INCLUDE:BRNCH-TINTERFACE.H,-
				CXX$USER_INCLUDE:BRNCH-TTRACE.H,-
				CXX$USER_INCLUDE:DESCRIP.H,-
				CXX$USER_INCLUDE:SCSI-TAPPLICATION.H,-
				CXX$USER_INCLUDE:SQS-MAGIC-NUMBERS.H,-
				CXX$USER_INCLUDE:SQS-TBOOLEAN.H,-
				CXX$USER_INCLUDE:SQS-TCONFIGURATION.H,-
				CXX$USER_INCLUDE:SQS-TCONFIGURATIONENTRY.H,-
				CXX$USER_INCLUDE:SQS-TCONFIGURE.H,-
				CXX$USER_INCLUDE:SQS-TDRIVE.H,-
				CXX$USER_INCLUDE:SQS-TELEMENTADDRESS.H,-
				CXX$USER_INCLUDE:SQS-THP10LCODL.H,-
				CXX$USER_INCLUDE:SQS-THP60CCONFIGURATION.H,-
				CXX$USER_INCLUDE:SQS-THP60CODL.H,-
				CXX$USER_INCLUDE:SQS-TIDECONFIGURATION.H,-
				CXX$USER_INCLUDE:SQS-TIDEODL.H,-
				CXX$USER_INCLUDE:SQS-TINTERFACE.H,-
				CXX$USER_INCLUDE:SQS-TMEDIATYPE.H,-
				CXX$USER_INCLUDE:SQS-TODL.H,-
				CXX$USER_INCLUDE:SQS-TSCSISTATUS.H,-
				CXX$USER_INCLUDE:SQS-TTRACE.H,-
				CXX$USER_INCLUDE:SQS-TVMSSTATUS.H

OBJ$:BRNCH-THP10LCMAILBOXTOVOLUMEODLCOMMAND.OBJ : -
				SRC$:BRNCH-THP10LCMAILBOXTOVOLUMEODLCOMMAND.CXX,-
				CXX$USER_INCLUDE:BRNCH-THP10LCMAILBOXTOVOLUMEODLCOMMAND.H,-
				CXX$USER_INCLUDE:DESCRIP.H,-
				CXX$USER_INCLUDE:SCSI-TAPPLICATION.H,-
				CXX$USER_INCLUDE:SQS-IDE.HXX,-
				CXX$USER_INCLUDE:SQS-TBOOLEAN.H,-
				CXX$USER_INCLUDE:SQS-TCONFIGURATION.H,-
				CXX$USER_INCLUDE:SQS-TCONFIGURATIONENTRY.H,-
				CXX$USER_INCLUDE:SQS-TDRIVE.H,-
				CXX$USER_INCLUDE:SQS-TELEMENTADDRESS.H,-
				CXX$USER_INCLUDE:SQS-TIDECONFIGURATION.H,-
				CXX$USER_INCLUDE:SQS-TIDEODLCOMMAND.H,-
				CXX$USER_INCLUDE:SQS-TMEDIATYPE.H,-
				CXX$USER_INCLUDE:SQS-TODLCOMMAND.H,-
				CXX$USER_INCLUDE:SQS-TSCSIBYTE.H,-
				CXX$USER_INCLUDE:SQS-TSCSICOMMAND.H,-
				CXX$USER_INCLUDE:SQS-TSCSILONG.H,-
				CXX$USER_INCLUDE:SQS-TSCSIMOVEMEDIUM.H,-
				CXX$USER_INCLUDE:SQS-TSCSIMOVEMEDIUMODLCOMMAND.H,-
				CXX$USER_INCLUDE:SQS-TSCSISTATUS.H,-
				CXX$USER_INCLUDE:SQS-TSCSIWORD.H,-
				CXX$USER_INCLUDE:SQS-TVMSSTATUS.H

OBJ$:BRNCH-THP10LCODL.OBJ : -
				SRC$:BRNCH-THP10LCODL.CXX,-
				CXX$USER_INCLUDE:BRNCH-THP10LCODL.H,-
				CXX$USER_INCLUDE:BRNCH-TINTERFACE.H,-
				CXX$USER_INCLUDE:BRNCH-TTRACE.H,-
				CXX$USER_INCLUDE:DESCRIP.H,-
				CXX$USER_INCLUDE:SCSI-TAPPLICATION.H,-
				CXX$USER_INCLUDE:SQS-MAGIC-NUMBERS.H,-
				CXX$USER_INCLUDE:SQS-TBOOLEAN.H,-
				CXX$USER_INCLUDE:SQS-TCONFIGURATION.H,-
				CXX$USER_INCLUDE:SQS-TCONFIGURATIONENTRY.H,-
				CXX$USER_INCLUDE:SQS-TCONFIGURE.H,-
				CXX$USER_INCLUDE:SQS-TDRIVE.H,-
				CXX$USER_INCLUDE:SQS-TELEMENTADDRESS.H,-
				CXX$USER_INCLUDE:SQS-THP10LCCONFIGURATION.H,-
				CXX$USER_INCLUDE:SQS-THP10LCODL.H,-
				CXX$USER_INCLUDE:SQS-TIDECONFIGURATION.H,-
				CXX$USER_INCLUDE:SQS-TIDEODL.H,-
				CXX$USER_INCLUDE:SQS-TINTERFACE.H,-
				CXX$USER_INCLUDE:SQS-TMEDIATYPE.H,-
				CXX$USER_INCLUDE:SQS-TODL.H,-
				CXX$USER_INCLUDE:SQS-TSCSISTATUS.H,-
				CXX$USER_INCLUDE:SQS-TTRACE.H,-
				CXX$USER_INCLUDE:SQS-TVMSSTATUS.H,-
				CXX$USER_INCLUDE:SQSDEF.H

OBJ$:BRNCH-TIDEODL.OBJ : -
				SRC$:BRNCH-TIDEODL.CXX,-
				CXX$USER_INCLUDE:BRNCH-TIDEINTERFACE.H,-
				CXX$USER_INCLUDE:BRNCH-TIDEODL.H,-
				CXX$USER_INCLUDE:BRNCH-TINTERFACE.H,-
				CXX$USER_INCLUDE:BRNCH-TTRACE.H,-
				CXX$USER_INCLUDE:DESCRIP.H,-
				CXX$USER_INCLUDE:SCSI-TAPPLICATION.H,-
				CXX$USER_INCLUDE:SQS-MAGIC-NUMBERS.H,-
				CXX$USER_INCLUDE:SQS-TBOOLEAN.H,-
				CXX$USER_INCLUDE:SQS-TCONFIGURATION.H,-
				CXX$USER_INCLUDE:SQS-TCONFIGURATIONENTRY.H,-
				CXX$USER_INCLUDE:SQS-TCONFIGURE.H,-
				CXX$USER_INCLUDE:SQS-TDRIVE.H,-
				CXX$USER_INCLUDE:SQS-TELEMENTADDRESS.H,-
				CXX$USER_INCLUDE:SQS-TIDECONFIGURATION.H,-
				CXX$USER_INCLUDE:SQS-TIDEODL.H,-
				CXX$USER_INCLUDE:SQS-TINTERFACE.H,-
				CXX$USER_INCLUDE:SQS-TMEDIATYPE.H,-
				CXX$USER_INCLUDE:SQS-TODL.H,-
				CXX$USER_INCLUDE:SQS-TSCSISTATUS.H,-
				CXX$USER_INCLUDE:SQS-TTRACE.H,-
				CXX$USER_INCLUDE:SQS-TVMSSTATUS.H,-
				CXX$USER_INCLUDE:SQSDEF.H

OBJ$:BRNCH-TINFINIDISCINTERFACE.OBJ : -
                                SRC$:BRNCH-TINFINIDISCINTERFACE.CXX,-
				CXX$USER_INCLUDE:BRNCH-TCDR240MINTERFACE.H,-
				CXX$USER_INCLUDE:BRNCH-TINFINIDISCINTERFACE.H,-
				CXX$USER_INCLUDE:BRNCH-TINTERFACE.H,-
				CXX$USER_INCLUDE:BRNCH-TMAILBOXSLOT.H,-
				CXX$USER_INCLUDE:BRNCH-TTRACE.H,-
				CXX$USER_INCLUDE:BRNCH-TVOLUMESLOT.H,-
				CXX$USER_INCLUDE:DESCRIP.H,-
				CXX$USER_INCLUDE:SCSI-TAPPLICATION.H,-
				CXX$USER_INCLUDE:SQS-INFINIDISC.HXX,-
				CXX$USER_INCLUDE:SQS-INVENTORY-TABLE.H,-
				CXX$USER_INCLUDE:SQS-MAGIC-NUMBERS.H,-
				CXX$USER_INCLUDE:SQS-TBOOLEAN.H,-
				CXX$USER_INCLUDE:SQS-TCONFIGURATION.H,-
				CXX$USER_INCLUDE:SQS-TCONFIGURATIONENTRY.H,-
				CXX$USER_INCLUDE:SQS-TDRIVE.H,-
				CXX$USER_INCLUDE:SQS-TELEMENTADDRESS.H,-
				CXX$USER_INCLUDE:SQS-TIDECONFIGURATION.H,-
				CXX$USER_INCLUDE:SQS-TINTERFACE.H,-
				CXX$USER_INCLUDE:SQS-TIOWAITER.H,-
				CXX$USER_INCLUDE:SQS-TMAILBOXSLOT.H,-
				CXX$USER_INCLUDE:SQS-TMEDIATYPE.H,-
				CXX$USER_INCLUDE:SQS-TODL.H,-
				CXX$USER_INCLUDE:SQS-TSCSIBYTE.H,-
				CXX$USER_INCLUDE:SQS-TSCSILONG.H,-
				CXX$USER_INCLUDE:SQS-TSCSISTATUS.H,-
				CXX$USER_INCLUDE:SQS-TSCSIWORD.H,-
				CXX$USER_INCLUDE:SQS-TSLOT.H,-
				CXX$USER_INCLUDE:SQS-TTRACE.H,-
				CXX$USER_INCLUDE:SQS-TVMSSTATUS.H,-
				CXX$USER_INCLUDE:SQS-TVOLUMESLOT.H,-
				CXX$USER_INCLUDE:SQSDEF.H

OBJ$:BRNCH-TINFINIDISCODL.OBJ : -
				SRC$:BRNCH-TINFINIDISCODL.CXX,-
				CXX$USER_INCLUDE:BRNCH-TCDR240MINTERFACE.H,-
				CXX$USER_INCLUDE:BRNCH-TINFINIDISCINTERFACE.H,-
				CXX$USER_INCLUDE:BRNCH-TINFINIDISCODL.H,-
				CXX$USER_INCLUDE:BRNCH-TINTERFACE.H,-
				CXX$USER_INCLUDE:BRNCH-TTRACE.H,-
				CXX$USER_INCLUDE:DESCRIP.H,-
				CXX$USER_INCLUDE:SCSI-TAPPLICATION.H,-
				CXX$USER_INCLUDE:SQS-MAGIC-NUMBERS.H,-
				CXX$USER_INCLUDE:SQS-T1804XCONFIGURATION.H,-
				CXX$USER_INCLUDE:SQS-T1804XODL.H,-
				CXX$USER_INCLUDE:SQS-T5004XCONFIGURATION.H,-
				CXX$USER_INCLUDE:SQS-T5004XODL.H,-
				CXX$USER_INCLUDE:SQS-TBOOLEAN.H,-
				CXX$USER_INCLUDE:SQS-TCDR240MODL.H,-
				CXX$USER_INCLUDE:SQS-TCONFIGURATION.H,-
				CXX$USER_INCLUDE:SQS-TCONFIGURATIONENTRY.H,-
				CXX$USER_INCLUDE:SQS-TCONFIGURE.H,-
				CXX$USER_INCLUDE:SQS-TDRIVE.H,-
				CXX$USER_INCLUDE:SQS-TELEMENTADDRESS.H,-
				CXX$USER_INCLUDE:SQS-TIDECONFIGURATION.H,-
				CXX$USER_INCLUDE:SQS-TIDEODL.H,-
				CXX$USER_INCLUDE:SQS-TINFINIDISCODL.H,-
				CXX$USER_INCLUDE:SQS-TINTERFACE.H,-
				CXX$USER_INCLUDE:SQS-TMEDIATYPE.H,-
				CXX$USER_INCLUDE:SQS-TODL.H,-
				CXX$USER_INCLUDE:SQS-TSCSISTATUS.H,-
				CXX$USER_INCLUDE:SQS-TTRACE.H,-
				CXX$USER_INCLUDE:SQS-TVMSSTATUS.H

OBJ$:BRNCH-TINTERFACE.OBJ : -
                                SRC$:BRNCH-TINTERFACE.CXX,-
				CXX$USER_INCLUDE:BRNCH-TDRIVESLOT.H,-
				CXX$USER_INCLUDE:BRNCH-TINTERFACE.H,-
				CXX$USER_INCLUDE:BRNCH-TMAILBOXSLOT.H,-
				CXX$USER_INCLUDE:BRNCH-TTRACE.H,-
				CXX$USER_INCLUDE:BRNCH-TVOLUMESLOT.H,-
				CXX$USER_INCLUDE:BRNCH-VERSION.H,-
				CXX$USER_INCLUDE:DESCRIP.H,-
				CXX$USER_INCLUDE:SCSI-TAPPLICATION.H,-
				CXX$USER_INCLUDE:SQS-IDE.HXX,-
				CXX$USER_INCLUDE:SQS-INVENTORY-TABLE.H,-
				CXX$USER_INCLUDE:SQS-MAGIC-NUMBERS.H,-
				CXX$USER_INCLUDE:SQS-TBOOLEAN.H,-
				CXX$USER_INCLUDE:SQS-TCONFIGURATION.H,-
				CXX$USER_INCLUDE:SQS-TCONFIGURATIONENTRY.H,-
				CXX$USER_INCLUDE:SQS-TDRIVE.H,-
				CXX$USER_INCLUDE:SQS-TDRIVESLOT.H,-
				CXX$USER_INCLUDE:SQS-TELEMENTADDRESS.H,-
				CXX$USER_INCLUDE:SQS-THP10LCODLMAILBOXTABLE.H,-
				CXX$USER_INCLUDE:SQS-TIDECONFIGURATION.H,-
				CXX$USER_INCLUDE:SQS-TIDEINQUIRYODLCOMMAND.H,-
				CXX$USER_INCLUDE:SQS-TIDEODLCOMMAND.H,-
				CXX$USER_INCLUDE:SQS-TIDEODLINVENTORYTABLE.H,-
				CXX$USER_INCLUDE:SQS-TIDEREADELEMENTSTATUSODLCOMMAND.H,-
				CXX$USER_INCLUDE:SQS-TINTERFACE.H,-
				CXX$USER_INCLUDE:SQS-TINVENTORYTABLE.H,-
				CXX$USER_INCLUDE:SQS-TIOWAITER.H,-
				CXX$USER_INCLUDE:SQS-TMAILBOXSLOT.H,-
				CXX$USER_INCLUDE:SQS-TMEDIATYPE.H,-
				CXX$USER_INCLUDE:SQS-TODL.H,-
				CXX$USER_INCLUDE:SQS-TODLCOMMAND.H,-
				CXX$USER_INCLUDE:SQS-TSCSIBYTE.H,-
				CXX$USER_INCLUDE:SQS-TSCSICOMMAND.H,-
				CXX$USER_INCLUDE:SQS-TSCSIINQUIRY.H,-
				CXX$USER_INCLUDE:SQS-TSCSIINQUIRYODLCOMMAND.H,-
				CXX$USER_INCLUDE:SQS-TSCSILONG.H,-
				CXX$USER_INCLUDE:SQS-TSCSIREADELEMENTSTATUS.H,-
				CXX$USER_INCLUDE:SQS-TSCSIREADELEMENTSTATUSODLCOMMAND.H,-
				CXX$USER_INCLUDE:SQS-TSCSISTATUS.H,-
				CXX$USER_INCLUDE:SQS-TSCSIWORD.H,-
				CXX$USER_INCLUDE:SQS-TSLOT.H,-
				CXX$USER_INCLUDE:SQS-TTRACE.H,-
				CXX$USER_INCLUDE:SQS-TVMSSTATUS.H,-
				CXX$USER_INCLUDE:SQS-TVOLUMESLOT.H,-
				CXX$USER_INCLUDE:SQSDEF.H,-
				CXX$USER_INCLUDE:VB-CURRENT-VERSION.H

OBJ$:BRNCH-TM20ODL.OBJ : -
                                SRC$:BRNCH-TM20ODL.CXX,-
				CXX$USER_INCLUDE:BRNCH-TINTERFACE.H,-
				CXX$USER_INCLUDE:BRNCH-TM20ODL.H,-
				CXX$USER_INCLUDE:BRNCH-TTRACE.H,-
				CXX$USER_INCLUDE:DESCRIP.H,-
				CXX$USER_INCLUDE:SCSI-TAPPLICATION.H,-
				CXX$USER_INCLUDE:SQS-MAGIC-NUMBERS.H,-
				CXX$USER_INCLUDE:SQS-TBOOLEAN.H,-
				CXX$USER_INCLUDE:SQS-TCONFIGURATION.H,-
				CXX$USER_INCLUDE:SQS-TCONFIGURATIONENTRY.H,-
				CXX$USER_INCLUDE:SQS-TCONFIGURE.H,-
				CXX$USER_INCLUDE:SQS-TDRIVE.H,-
				CXX$USER_INCLUDE:SQS-TELEMENTADDRESS.H,-
				CXX$USER_INCLUDE:SQS-THP10LCODLDATABASE.H,-
				CXX$USER_INCLUDE:SQS-TIDECONFIGURATION.H,-
				CXX$USER_INCLUDE:SQS-TIDEODL.H,-
				CXX$USER_INCLUDE:SQS-TIDEODLDATABASE.H,-
				CXX$USER_INCLUDE:SQS-TINTERFACE.H,-
				CXX$USER_INCLUDE:SQS-TM20CONFIGURATION.H,-
				CXX$USER_INCLUDE:SQS-TM20ODL.H,-
				CXX$USER_INCLUDE:SQS-TM20ODLDATABASE.H,-
				CXX$USER_INCLUDE:SQS-TMEDIATYPE.H,-
				CXX$USER_INCLUDE:SQS-TODL.H,-
				CXX$USER_INCLUDE:SQS-TODLDATABASE.H,-
				CXX$USER_INCLUDE:SQS-TSCSISTATUS.H,-
				CXX$USER_INCLUDE:SQS-TTRACE.H,-
				CXX$USER_INCLUDE:SQS-TVMSSTATUS.H,-
				CXX$USER_INCLUDE:SQSDEF.H

OBJ$:BRNCH-TMAILBOXSLOT.OBJ : -
                                SRC$:BRNCH-TMAILBOXSLOT.CXX,-
				CXX$USER_INCLUDE:BRNCH-TMAILBOXSLOT.H,-
				CXX$USER_INCLUDE:DESCRIP.H,-
				CXX$USER_INCLUDE:SQS-INVENTORY-TABLE.H,-
				CXX$USER_INCLUDE:SQS-TBOOLEAN.H,-
				CXX$USER_INCLUDE:SQS-TELEMENTADDRESS.H,-
				CXX$USER_INCLUDE:SQS-TIOWAITER.H,-
				CXX$USER_INCLUDE:SQS-TMAILBOXSLOT.H,-
				CXX$USER_INCLUDE:SQS-TMEDIATYPE.H,-
				CXX$USER_INCLUDE:SQS-TSLOT.H,-
				CXX$USER_INCLUDE:SQS-TVMSSTATUS.H,-
				CXX$USER_INCLUDE:SQSDEF.H

OBJ$:BRNCH-TMO120ODL.OBJ : -
                                SRC$:BRNCH-TMO120ODL.CXX,-
				CXX$USER_INCLUDE:BRNCH-TCDR240MINTERFACE.H,-
				CXX$USER_INCLUDE:BRNCH-TINTERFACE.H,-
				CXX$USER_INCLUDE:BRNCH-TMO120ODL.H,-
				CXX$USER_INCLUDE:BRNCH-TTRACE.H,-
				CXX$USER_INCLUDE:DESCRIP.H,-
				CXX$USER_INCLUDE:SCSI-TAPPLICATION.H,-
				CXX$USER_INCLUDE:SQS-IDE.HXX,-
				CXX$USER_INCLUDE:SQS-MAGIC-NUMBERS.H,-
				CXX$USER_INCLUDE:SQS-T1804XCONFIGURATION.H,-
				CXX$USER_INCLUDE:SQS-T1804XODL.H,-
				CXX$USER_INCLUDE:SQS-T5004XCONFIGURATION.H,-
				CXX$USER_INCLUDE:SQS-T5004XODL.H,-
				CXX$USER_INCLUDE:SQS-TBOOLEAN.H,-
				CXX$USER_INCLUDE:SQS-TCDR240MODL.H,-
				CXX$USER_INCLUDE:SQS-TCONFIGURATION.H,-
				CXX$USER_INCLUDE:SQS-TCONFIGURATIONENTRY.H,-
				CXX$USER_INCLUDE:SQS-TCONFIGURE.H,-
				CXX$USER_INCLUDE:SQS-TDRIVE.H,-
				CXX$USER_INCLUDE:SQS-TELEMENTADDRESS.H,-
				CXX$USER_INCLUDE:SQS-TIDECONFIGURATION.H,-
				CXX$USER_INCLUDE:SQS-TIDEODL.H,-
				CXX$USER_INCLUDE:SQS-TIDEODLCOMMAND.H,-
				CXX$USER_INCLUDE:SQS-TINTERFACE.H,-
				CXX$USER_INCLUDE:SQS-TIOWAITER.H,-
				CXX$USER_INCLUDE:SQS-TMEDIATYPE.H,-
				CXX$USER_INCLUDE:SQS-TMO120ODL.H,-
				CXX$USER_INCLUDE:SQS-TODL.H,-
				CXX$USER_INCLUDE:SQS-TODLCOMMAND.H,-
				CXX$USER_INCLUDE:SQS-TSCSIBYTE.H,-
				CXX$USER_INCLUDE:SQS-TSCSICOMMAND.H,-
				CXX$USER_INCLUDE:SQS-TSCSILONG.H,-
				CXX$USER_INCLUDE:SQS-TSCSISTATUS.H,-
				CXX$USER_INCLUDE:SQS-TSCSITESTUNITREADY.H,-
				CXX$USER_INCLUDE:SQS-TSCSITESTUNITREADYODLCOMMAND.H,-
				CXX$USER_INCLUDE:SQS-TSCSIWORD.H,-
				CXX$USER_INCLUDE:SQS-TTRACE.H,-
				CXX$USER_INCLUDE:SQS-TTRANSPORT.H,-
				CXX$USER_INCLUDE:SQS-TVMSSTATUS.H,-
				CXX$USER_INCLUDE:SQSDEF.H

OBJ$:BRNCH-TNKK556ODL.OBJ : -
				SRC$:BRNCH-TNKK556ODL.CXX,-
				CXX$USER_INCLUDE:BRNCH-TINTERFACE.H,-
				CXX$USER_INCLUDE:BRNCH-TMAILBOXSLOT.H,-
				CXX$USER_INCLUDE:BRNCH-TNKK556INTERFACE.H,-
				CXX$USER_INCLUDE:BRNCH-TNKK556ODL.H,-
				CXX$USER_INCLUDE:BRNCH-TTRACE.H,-
				CXX$USER_INCLUDE:BRNCH-TVOLUMESLOT.H,-
				CXX$USER_INCLUDE:DESCRIP.H,-
				CXX$USER_INCLUDE:SCSI-TAPPLICATION.H,-
				CXX$USER_INCLUDE:SQS-IDE.HXX,-
				CXX$USER_INCLUDE:SQS-INVENTORY-TABLE.H,-
				CXX$USER_INCLUDE:SQS-MAGIC-NUMBERS.H,-
				CXX$USER_INCLUDE:SQS-TBOOLEAN.H,-
				CXX$USER_INCLUDE:SQS-TCONFIGURATION.H,-
				CXX$USER_INCLUDE:SQS-TCONFIGURATIONENTRY.H,-
				CXX$USER_INCLUDE:SQS-TCONFIGURE.H,-
				CXX$USER_INCLUDE:SQS-TDRIVE.H,-
				CXX$USER_INCLUDE:SQS-TDRIVESLOT.H,-
				CXX$USER_INCLUDE:SQS-TELEMENTADDRESS.H,-
				CXX$USER_INCLUDE:SQS-THP10LCCONFIGURATION.H,-
				CXX$USER_INCLUDE:SQS-THP10LCODL.H,-
				CXX$USER_INCLUDE:SQS-TIDECONFIGURATION.H,-
				CXX$USER_INCLUDE:SQS-TIDEODL.H,-
				CXX$USER_INCLUDE:SQS-TIDEODLCOMMAND.H,-
				CXX$USER_INCLUDE:SQS-TIDEODLINVENTORYTABLE.H,-
				CXX$USER_INCLUDE:SQS-TIDEREADELEMENTSTATUSODLCOMMAND.H,-
				CXX$USER_INCLUDE:SQS-TINTERFACE.H,-
				CXX$USER_INCLUDE:SQS-TINVENTORYTABLE.H,-
				CXX$USER_INCLUDE:SQS-TIOWAITER.H,-
				CXX$USER_INCLUDE:SQS-TMAILBOXSLOT.H,-
				CXX$USER_INCLUDE:SQS-TMEDIATYPE.H,-
				CXX$USER_INCLUDE:SQS-TNKK556CONFIGURATION.H,-
				CXX$USER_INCLUDE:SQS-TNKK556ODL.H,-
				CXX$USER_INCLUDE:SQS-TODL.H,-
				CXX$USER_INCLUDE:SQS-TODLCOMMAND.H,-
				CXX$USER_INCLUDE:SQS-TSCSIBYTE.H,-
				CXX$USER_INCLUDE:SQS-TSCSICOMMAND.H,-
				CXX$USER_INCLUDE:SQS-TSCSILONG.H,-
				CXX$USER_INCLUDE:SQS-TSCSIREADELEMENTSTATUS.H,-
				CXX$USER_INCLUDE:SQS-TSCSIREADELEMENTSTATUSODLCOMMAND.H,-
				CXX$USER_INCLUDE:SQS-TSCSISTATUS.H,-
				CXX$USER_INCLUDE:SQS-TSCSIWORD.H,-
				CXX$USER_INCLUDE:SQS-TSLOT.H,-
				CXX$USER_INCLUDE:SQS-TTRACE.H,-
				CXX$USER_INCLUDE:SQS-TVMSSTATUS.H,-
				CXX$USER_INCLUDE:SQS-TVOLUMESLOT.H,-
				CXX$USER_INCLUDE:SQSDEF.H

OBJ$:BRNCH-TRW552ODL.OBJ : -
                                SRC$:BRNCH-TRW552ODL.CXX,-
				CXX$USER_INCLUDE:BRNCH-TINTERFACE.H,-
				CXX$USER_INCLUDE:BRNCH-TRW552ODL.H,-
				CXX$USER_INCLUDE:BRNCH-TTRACE.H,-
				CXX$USER_INCLUDE:DESCRIP.H,-
				CXX$USER_INCLUDE:SCSI-TAPPLICATION.H,-
				CXX$USER_INCLUDE:SQS-MAGIC-NUMBERS.H,-
				CXX$USER_INCLUDE:SQS-TBOOLEAN.H,-
				CXX$USER_INCLUDE:SQS-TCONFIGURATION.H,-
				CXX$USER_INCLUDE:SQS-TCONFIGURATIONENTRY.H,-
				CXX$USER_INCLUDE:SQS-TCONFIGURE.H,-
				CXX$USER_INCLUDE:SQS-TDRIVE.H,-
				CXX$USER_INCLUDE:SQS-TELEMENTADDRESS.H,-
				CXX$USER_INCLUDE:SQS-THP10LCCONFIGURATION.H,-
				CXX$USER_INCLUDE:SQS-THP10LCODL.H,-
				CXX$USER_INCLUDE:SQS-TIDECONFIGURATION.H,-
				CXX$USER_INCLUDE:SQS-TIDEODL.H,-
				CXX$USER_INCLUDE:SQS-TINTERFACE.H,-
				CXX$USER_INCLUDE:SQS-TMEDIATYPE.H,-
				CXX$USER_INCLUDE:SQS-TODL.H,-
				CXX$USER_INCLUDE:SQS-TRW552ODL.H,-
				CXX$USER_INCLUDE:SQS-TSCSISTATUS.H,-
				CXX$USER_INCLUDE:SQS-TTRACE.H,-
				CXX$USER_INCLUDE:SQS-TVMSSTATUS.H,-
				CXX$USER_INCLUDE:SQSDEF.H

OBJ$:BRNCH-TTRACE.OBJ : -
                                SRC$:BRNCH-TTRACE.CXX,-
				CXX$USER_INCLUDE:BRNCH-TTRACE.H,-
				CXX$USER_INCLUDE:SQS-TTRACE.H,-
				CXX$USER_INCLUDE:SQS-TVMSSTATUS.H

OBJ$:BRNCH-TVDISKCONFIGURATION.OBJ : -
				SRC$:BRNCH-TVDISKCONFIGURATION.CXX,-
				CXX$USER_INCLUDE:BRNCH-TCONFIGURATIONENTRY.H,-
				CXX$USER_INCLUDE:BRNCH-TVDISKCONFIGURATION.H,-
				CXX$USER_INCLUDE:DESCRIP.H,-
				CXX$USER_INCLUDE:SQS-TBOOLEAN.H,-
				CXX$USER_INCLUDE:SQS-TCONFIGURATION.H,-
				CXX$USER_INCLUDE:SQS-TCONFIGURATIONENTRY.H,-
				CXX$USER_INCLUDE:SQS-TDRIVE.H,-
				CXX$USER_INCLUDE:SQS-TELEMENTADDRESS.H,-
				CXX$USER_INCLUDE:SQS-TIDECONFIGURATION.H,-
				CXX$USER_INCLUDE:SQS-TMEDIATYPE.H,-
				CXX$USER_INCLUDE:SQS-TVMSSTATUS.H

OBJ$:BRNCH-TVDISKODL.OBJ : -
				SRC$:BRNCH-TVDISKODL.CXX,-
				CXX$USER_INCLUDE:BRNCH-TCONFIGURATIONENTRY.H,-
				CXX$USER_INCLUDE:BRNCH-TINTERFACE.H,-
				CXX$USER_INCLUDE:BRNCH-TTRACE.H,-
				CXX$USER_INCLUDE:BRNCH-TVDISKCONFIGURATION.H,-
				CXX$USER_INCLUDE:BRNCH-TVDISKINTERFACE.H,-
				CXX$USER_INCLUDE:BRNCH-TVDISKODL.H,-
				CXX$USER_INCLUDE:DESCRIP.H,-
				CXX$USER_INCLUDE:SCSI-TAPPLICATION.H,-
				CXX$USER_INCLUDE:SQS-MAGIC-NUMBERS.H,-
				CXX$USER_INCLUDE:SQS-TBOOLEAN.H,-
				CXX$USER_INCLUDE:SQS-TCONFIGURATION.H,-
				CXX$USER_INCLUDE:SQS-TCONFIGURATIONENTRY.H,-
				CXX$USER_INCLUDE:SQS-TCONFIGURE.H,-
				CXX$USER_INCLUDE:SQS-TDRIVE.H,-
				CXX$USER_INCLUDE:SQS-TELEMENTADDRESS.H,-
				CXX$USER_INCLUDE:SQS-TIDECONFIGURATION.H,-
				CXX$USER_INCLUDE:SQS-TINTERFACE.H,-
				CXX$USER_INCLUDE:SQS-TMEDIATYPE.H,-
				CXX$USER_INCLUDE:SQS-TODL.H,-
				CXX$USER_INCLUDE:SQS-TODLCOMMAND.H,-
				CXX$USER_INCLUDE:SQS-TSCSISTATUS.H,-
				CXX$USER_INCLUDE:SQS-TTRACE.H,-
				CXX$USER_INCLUDE:SQS-TVMSSTATUS.H,-
				CXX$USER_INCLUDE:SQSDEF.H

OBJ$:BRNCH-TVOLUMESLOT.OBJ : -
                                SRC$:BRNCH-TVOLUMESLOT.CXX,-
				CXX$USER_INCLUDE:BRNCH-TVOLUMESLOT.H,-
				CXX$USER_INCLUDE:DESCRIP.H,-
				CXX$USER_INCLUDE:SQS-INVENTORY-TABLE.H,-
				CXX$USER_INCLUDE:SQS-TBOOLEAN.H,-
				CXX$USER_INCLUDE:SQS-TELEMENTADDRESS.H,-
				CXX$USER_INCLUDE:SQS-TMEDIATYPE.H,-
				CXX$USER_INCLUDE:SQS-TSLOT.H,-
				CXX$USER_INCLUDE:SQS-TVMSSTATUS.H,-
				CXX$USER_INCLUDE:SQS-TVOLUMESLOT.H,-
				CXX$USER_INCLUDE:SQSDEF.H

OBJ$:BRNCH-TCONFIGURATIONENTRY.OBJ : -
				SRC$:BRNCH-TCONFIGURATIONENTRY.CXX,-
				CXX$USER_INCLUDE:BRNCH-TCONFIGURATIONENTRY.H,-
				CXX$USER_INCLUDE:BRNCH-TTRACE.H,-
				CXX$USER_INCLUDE:BRNCH-TVDISKCONFIGURATION.H,-
				CXX$USER_INCLUDE:BRNCH-TVDISKODL.H,-
				CXX$USER_INCLUDE:DESCRIP.H,-
				CXX$USER_INCLUDE:SCSI-TAPPLICATION.H,-
				CXX$USER_INCLUDE:SQS-MAGIC-NUMBERS.H,-
				CXX$USER_INCLUDE:SQS-TBOOLEAN.H,-
				CXX$USER_INCLUDE:SQS-TCONFIGURATION.H,-
				CXX$USER_INCLUDE:SQS-TCONFIGURATIONENTRY.H,-
				CXX$USER_INCLUDE:SQS-TCONFIGURE.H,-
				CXX$USER_INCLUDE:SQS-TDRIVE.H,-
				CXX$USER_INCLUDE:SQS-TELEMENTADDRESS.H,-
				CXX$USER_INCLUDE:SQS-TIDECONFIGURATION.H,-
				CXX$USER_INCLUDE:SQS-TMEDIATYPE.H,-
				CXX$USER_INCLUDE:SQS-TTRACE.H,-
				CXX$USER_INCLUDE:SQS-TTRANSPORT.H,-
				CXX$USER_INCLUDE:SQS-TVMSSTATUS.H,-
				CXX$USER_INCLUDE:SQSDEF.H

OBJ$:BRNCH-T5004XODL.OBJ : -
				SRC$:BRNCH-T5004XODL.CXX,-
				CXX$USER_INCLUDE:BRNCH-T1804XINTERFACE.H,-
				CXX$USER_INCLUDE:BRNCH-T5004XINTERFACE.H,-
				CXX$USER_INCLUDE:BRNCH-T5004XODL.H,-
				CXX$USER_INCLUDE:BRNCH-TIDEINTERFACE.H,-
				CXX$USER_INCLUDE:BRNCH-TINTERFACE.H,-
				CXX$USER_INCLUDE:BRNCH-TMAILBOXSLOT.H,-
				CXX$USER_INCLUDE:BRNCH-TTRACE.H,-
				CXX$USER_INCLUDE:BRNCH-TVOLUMESLOT.H,-
				CXX$USER_INCLUDE:DESCRIP.H,-
				CXX$USER_INCLUDE:SCSI-TAPPLICATION.H,-
				CXX$USER_INCLUDE:SQS-IDE.HXX,-
				CXX$USER_INCLUDE:SQS-INVENTORY-TABLE.H,-
				CXX$USER_INCLUDE:SQS-MAGIC-NUMBERS.H,-
				CXX$USER_INCLUDE:SQS-T1804XCONFIGURATION.H,-
				CXX$USER_INCLUDE:SQS-T1804XODL.H,-
				CXX$USER_INCLUDE:SQS-T5004XCONFIGURATION.H,-
				CXX$USER_INCLUDE:SQS-T5004XODL.H,-
				CXX$USER_INCLUDE:SQS-TBOOLEAN.H,-
				CXX$USER_INCLUDE:SQS-TCONFIGURATION.H,-
				CXX$USER_INCLUDE:SQS-TCONFIGURATIONENTRY.H,-
				CXX$USER_INCLUDE:SQS-TCONFIGURE.H,-
				CXX$USER_INCLUDE:SQS-TDRIVE.H,-
				CXX$USER_INCLUDE:SQS-TELEMENTADDRESS.H,-
				CXX$USER_INCLUDE:SQS-TIDECONFIGURATION.H,-
				CXX$USER_INCLUDE:SQS-TIDEODL.H,-
				CXX$USER_INCLUDE:SQS-TIDEODLCOMMAND.H,-
				CXX$USER_INCLUDE:SQS-TINTERFACE.H,-
				CXX$USER_INCLUDE:SQS-TIOWAITER.H,-
				CXX$USER_INCLUDE:SQS-TMAILBOXSLOT.H,-
				CXX$USER_INCLUDE:SQS-TMEDIATYPE.H,-
				CXX$USER_INCLUDE:SQS-TODL.H,-
				CXX$USER_INCLUDE:SQS-TODLCOMMAND.H,-
				CXX$USER_INCLUDE:SQS-TSCSIBYTE.H,-
				CXX$USER_INCLUDE:SQS-TSCSICOMMAND.H,-
				CXX$USER_INCLUDE:SQS-TSCSILONG.H,-
				CXX$USER_INCLUDE:SQS-TSCSISTATUS.H,-
				CXX$USER_INCLUDE:SQS-TSCSITESTUNITREADY.H,-
				CXX$USER_INCLUDE:SQS-TSCSITESTUNITREADYODLCOMMAND.H,-
				CXX$USER_INCLUDE:SQS-TSCSIWORD.H,-
				CXX$USER_INCLUDE:SQS-TSLOT.H,-
				CXX$USER_INCLUDE:SQS-TTRACE.H,-
				CXX$USER_INCLUDE:SQS-TTRANSPORT.H,-
				CXX$USER_INCLUDE:SQS-TVMSSTATUS.H,-
				CXX$USER_INCLUDE:SQS-TVOLUMESLOT.H,-
				CXX$USER_INCLUDE:SQSDEF.H

OBJ$:BRNCH-T1004XODL.OBJ : -
				SRC$:BRNCH-T1004XODL.CXX,-
				CXX$USER_INCLUDE:BRNCH-T1004XINTERFACE.H,-
				CXX$USER_INCLUDE:BRNCH-T1004XODL.H,-
				CXX$USER_INCLUDE:BRNCH-T1804XINTERFACE.H,-
				CXX$USER_INCLUDE:BRNCH-TIDEINTERFACE.H,-
				CXX$USER_INCLUDE:BRNCH-TINTERFACE.H,-
				CXX$USER_INCLUDE:BRNCH-TMAILBOXSLOT.H,-
				CXX$USER_INCLUDE:BRNCH-TTRACE.H,-
				CXX$USER_INCLUDE:BRNCH-TVOLUMESLOT.H,-
				CXX$USER_INCLUDE:DESCRIP.H,-
				CXX$USER_INCLUDE:SCSI-TAPPLICATION.H,-
				CXX$USER_INCLUDE:SQS-IDE.HXX,-
				CXX$USER_INCLUDE:SQS-INVENTORY-TABLE.H,-
				CXX$USER_INCLUDE:SQS-MAGIC-NUMBERS.H,-
				CXX$USER_INCLUDE:SQS-T1004XCONFIGURATION.H,-
				CXX$USER_INCLUDE:SQS-T1004XODL.H,-
				CXX$USER_INCLUDE:SQS-T1804XCONFIGURATION.H,-
				CXX$USER_INCLUDE:SQS-T1804XODL.H,-
				CXX$USER_INCLUDE:SQS-TBOOLEAN.H,-
				CXX$USER_INCLUDE:SQS-TCONFIGURATION.H,-
				CXX$USER_INCLUDE:SQS-TCONFIGURATIONENTRY.H,-
				CXX$USER_INCLUDE:SQS-TCONFIGURE.H,-
				CXX$USER_INCLUDE:SQS-TDRIVE.H,-
				CXX$USER_INCLUDE:SQS-TELEMENTADDRESS.H,-
				CXX$USER_INCLUDE:SQS-TIDECONFIGURATION.H,-
				CXX$USER_INCLUDE:SQS-TIDEODL.H,-
				CXX$USER_INCLUDE:SQS-TIDEODLCOMMAND.H,-
				CXX$USER_INCLUDE:SQS-TINTERFACE.H,-
				CXX$USER_INCLUDE:SQS-TIOWAITER.H,-
				CXX$USER_INCLUDE:SQS-TMAILBOXSLOT.H,-
				CXX$USER_INCLUDE:SQS-TMEDIATYPE.H,-
				CXX$USER_INCLUDE:SQS-TODL.H,-
				CXX$USER_INCLUDE:SQS-TODLCOMMAND.H,-
				CXX$USER_INCLUDE:SQS-TSCSIBYTE.H,-
				CXX$USER_INCLUDE:SQS-TSCSICOMMAND.H,-
				CXX$USER_INCLUDE:SQS-TSCSILONG.H,-
				CXX$USER_INCLUDE:SQS-TSCSISTATUS.H,-
				CXX$USER_INCLUDE:SQS-TSCSITESTUNITREADY.H,-
				CXX$USER_INCLUDE:SQS-TSCSITESTUNITREADYODLCOMMAND.H,-
				CXX$USER_INCLUDE:SQS-TSCSIWORD.H,-
				CXX$USER_INCLUDE:SQS-TSLOT.H,-
				CXX$USER_INCLUDE:SQS-TTRACE.H,-
				CXX$USER_INCLUDE:SQS-TVMSSTATUS.H,-
				CXX$USER_INCLUDE:SQS-TVOLUMESLOT.H,-
				CXX$USER_INCLUDE:SQSDEF.H

OBJ$:BRNCH-T1804XODL.OBJ : -
				SRC$:BRNCH-T1804XODL.CXX,-
				CXX$USER_INCLUDE:BRNCH-T1804XINTERFACE.H,-
				CXX$USER_INCLUDE:BRNCH-T1804XODL.H,-
				CXX$USER_INCLUDE:BRNCH-TIDEINTERFACE.H,-
				CXX$USER_INCLUDE:BRNCH-TINTERFACE.H,-
				CXX$USER_INCLUDE:BRNCH-TMAILBOXSLOT.H,-
				CXX$USER_INCLUDE:BRNCH-TTRACE.H,-
				CXX$USER_INCLUDE:BRNCH-TVOLUMESLOT.H,-
				CXX$USER_INCLUDE:DESCRIP.H,-
				CXX$USER_INCLUDE:SCSI-TAPPLICATION.H,-
				CXX$USER_INCLUDE:SQS-IDE.HXX,-
				CXX$USER_INCLUDE:SQS-INVENTORY-TABLE.H,-
				CXX$USER_INCLUDE:SQS-MAGIC-NUMBERS.H,-
				CXX$USER_INCLUDE:SQS-T1804XCDROMINVENTORYTABLE.H,-
				CXX$USER_INCLUDE:SQS-T1804XCONFIGURATION.H,-
				CXX$USER_INCLUDE:SQS-T1804XODL.H,-
				CXX$USER_INCLUDE:SQS-TBOOLEAN.H,-
				CXX$USER_INCLUDE:SQS-TCONFIGURATION.H,-
				CXX$USER_INCLUDE:SQS-TCONFIGURATIONENTRY.H,-
				CXX$USER_INCLUDE:SQS-TCONFIGURE.H,-
				CXX$USER_INCLUDE:SQS-TDRIVE.H,-
				CXX$USER_INCLUDE:SQS-TDRIVESLOT.H,-
				CXX$USER_INCLUDE:SQS-TELEMENTADDRESS.H,-
				CXX$USER_INCLUDE:SQS-TIDECONFIGURATION.H,-
				CXX$USER_INCLUDE:SQS-TIDEMEDIUMREMOVALODLCOMMAND.H,-
				CXX$USER_INCLUDE:SQS-TIDEODL.H,-
				CXX$USER_INCLUDE:SQS-TIDEODLCOMMAND.H,-
				CXX$USER_INCLUDE:SQS-TIDEODLINVENTORYTABLE.H,-
				CXX$USER_INCLUDE:SQS-TIDEREADELEMENTSTATUSODLCOMMAND.H,-
				CXX$USER_INCLUDE:SQS-TINTERFACE.H,-
				CXX$USER_INCLUDE:SQS-TINVENTORYTABLE.H,-
				CXX$USER_INCLUDE:SQS-TIOWAITER.H,-
				CXX$USER_INCLUDE:SQS-TMAILBOXSLOT.H,-
				CXX$USER_INCLUDE:SQS-TMEDIATYPE.H,-
				CXX$USER_INCLUDE:SQS-TODL.H,-
				CXX$USER_INCLUDE:SQS-TODLCOMMAND.H,-
				CXX$USER_INCLUDE:SQS-TSCSIBYTE.H,-
				CXX$USER_INCLUDE:SQS-TSCSICOMMAND.H,-
				CXX$USER_INCLUDE:SQS-TSCSILONG.H,-
				CXX$USER_INCLUDE:SQS-TSCSIMEDIUMREMOVAL.H,-
				CXX$USER_INCLUDE:SQS-TSCSIMEDIUMREMOVALODLCOMMAND.H,-
				CXX$USER_INCLUDE:SQS-TSCSIREADELEMENTSTATUS.H,-
				CXX$USER_INCLUDE:SQS-TSCSIREADELEMENTSTATUSODLCOMMAND.H,-
				CXX$USER_INCLUDE:SQS-TSCSISTATUS.H,-
				CXX$USER_INCLUDE:SQS-TSCSITESTUNITREADY.H,-
				CXX$USER_INCLUDE:SQS-TSCSITESTUNITREADYODLCOMMAND.H,-
				CXX$USER_INCLUDE:SQS-TSCSIWORD.H,-
				CXX$USER_INCLUDE:SQS-TSLOT.H,-
				CXX$USER_INCLUDE:SQS-TTRACE.H,-
				CXX$USER_INCLUDE:SQS-TVMSSTATUS.H,-
				CXX$USER_INCLUDE:SQS-TVOLUMESLOT.H,-
				CXX$USER_INCLUDE:SQSDEF.H

OBJ$:BRNCH-TCDR240MODL.OBJ : -
				SRC$:BRNCH-TCDR240MODL.CXX,-
				CXX$USER_INCLUDE:BRNCH-TCDR240MINTERFACE.H,-
				CXX$USER_INCLUDE:BRNCH-TCDR240MODL.H,-
				CXX$USER_INCLUDE:BRNCH-TINTERFACE.H,-
				CXX$USER_INCLUDE:BRNCH-TMAILBOXSLOT.H,-
				CXX$USER_INCLUDE:BRNCH-TTRACE.H,-
				CXX$USER_INCLUDE:BRNCH-TVOLUMESLOT.H,-
				CXX$USER_INCLUDE:DESCRIP.H,-
				CXX$USER_INCLUDE:SCSI-TAPPLICATION.H,-
				CXX$USER_INCLUDE:SQS-INVENTORY-TABLE.H,-
				CXX$USER_INCLUDE:SQS-MAGIC-NUMBERS.H,-
				CXX$USER_INCLUDE:SQS-T1804XCONFIGURATION.H,-
				CXX$USER_INCLUDE:SQS-T1804XODL.H,-
				CXX$USER_INCLUDE:SQS-T5004XCONFIGURATION.H,-
				CXX$USER_INCLUDE:SQS-T5004XODL.H,-
				CXX$USER_INCLUDE:SQS-TBOOLEAN.H,-
				CXX$USER_INCLUDE:SQS-TCDR240MODL.H,-
				CXX$USER_INCLUDE:SQS-TCONFIGURATION.H,-
				CXX$USER_INCLUDE:SQS-TCONFIGURATIONENTRY.H,-
				CXX$USER_INCLUDE:SQS-TCONFIGURE.H,-
				CXX$USER_INCLUDE:SQS-TDRIVE.H,-
				CXX$USER_INCLUDE:SQS-TELEMENTADDRESS.H,-
				CXX$USER_INCLUDE:SQS-TIDECONFIGURATION.H,-
				CXX$USER_INCLUDE:SQS-TIDEODL.H,-
				CXX$USER_INCLUDE:SQS-TINTERFACE.H,-
				CXX$USER_INCLUDE:SQS-TIOWAITER.H,-
				CXX$USER_INCLUDE:SQS-TMAILBOXSLOT.H,-
				CXX$USER_INCLUDE:SQS-TMEDIATYPE.H,-
				CXX$USER_INCLUDE:SQS-TODL.H,-
				CXX$USER_INCLUDE:SQS-TSCSISTATUS.H,-
				CXX$USER_INCLUDE:SQS-TSLOT.H,-
				CXX$USER_INCLUDE:SQS-TTRACE.H,-
				CXX$USER_INCLUDE:SQS-TTRANSPORT.H,-
				CXX$USER_INCLUDE:SQS-TVMSSTATUS.H,-
				CXX$USER_INCLUDE:SQS-TVOLUMESLOT.H,-
				CXX$USER_INCLUDE:SQSDEF.H

OBJ$:BRNCH-TDRIVESLOT.OBJ : -
                                SRC$:BRNCH-TDRIVESLOT.CXX,-
				CXX$USER_INCLUDE:BRNCH-TDRIVESLOT.H,-
				CXX$USER_INCLUDE:DESCRIP.H,-
				CXX$USER_INCLUDE:SQS-INVENTORY-TABLE.H,-
				CXX$USER_INCLUDE:SQS-TBOOLEAN.H,-
				CXX$USER_INCLUDE:SQS-TDRIVESLOT.H,-
				CXX$USER_INCLUDE:SQS-TELEMENTADDRESS.H,-
				CXX$USER_INCLUDE:SQS-TMEDIATYPE.H,-
				CXX$USER_INCLUDE:SQS-TSLOT.H,-
				CXX$USER_INCLUDE:SQS-TVMSSTATUS.H,-
				CXX$USER_INCLUDE:SQSDEF.H

OBJ$:BRNCH-TDVLODL.OBJ : -
				SRC$:BRNCH-TDVLODL.CXX,-
				CXX$USER_INCLUDE:BRNCH-TDRIVESLOT.H,-
				CXX$USER_INCLUDE:BRNCH-TDVLINTERFACE.H,-
				CXX$USER_INCLUDE:BRNCH-TDVLODL.H,-
				CXX$USER_INCLUDE:BRNCH-TINTERFACE.H,-
				CXX$USER_INCLUDE:BRNCH-TMAILBOXSLOT.H,-
				CXX$USER_INCLUDE:BRNCH-TTRACE.H,-
				CXX$USER_INCLUDE:BRNCH-TVOLUMESLOT.H,-
				CXX$USER_INCLUDE:DESCRIP.H,-
				CXX$USER_INCLUDE:SCSI-TAPPLICATION.H,-
				CXX$USER_INCLUDE:SQS-IDE.HXX,-
				CXX$USER_INCLUDE:SQS-INVENTORY-TABLE.H,-
				CXX$USER_INCLUDE:SQS-MAGIC-NUMBERS.H,-
				CXX$USER_INCLUDE:SQS-T1804XCONFIGURATION.H,-
				CXX$USER_INCLUDE:SQS-T1804XODL.H,-
				CXX$USER_INCLUDE:SQS-TBOOLEAN.H,-
				CXX$USER_INCLUDE:SQS-TCONFIGURATION.H,-
				CXX$USER_INCLUDE:SQS-TCONFIGURATIONENTRY.H,-
				CXX$USER_INCLUDE:SQS-TCONFIGURE.H,-
				CXX$USER_INCLUDE:SQS-TDRIVE.H,-
				CXX$USER_INCLUDE:SQS-TDRIVESLOT.H,-
				CXX$USER_INCLUDE:SQS-TDVLCONFIGURATION.H,-
				CXX$USER_INCLUDE:SQS-TDVLODL.H,-
				CXX$USER_INCLUDE:SQS-TELEMENTADDRESS.H,-
				CXX$USER_INCLUDE:SQS-TIDECONFIGURATION.H,-
				CXX$USER_INCLUDE:SQS-TIDEODL.H,-
				CXX$USER_INCLUDE:SQS-TIDEODLCOMMAND.H,-
				CXX$USER_INCLUDE:SQS-TIDEODLINVENTORYTABLE.H,-
				CXX$USER_INCLUDE:SQS-TIDEREADELEMENTSTATUSODLCOMMAND.H,-
				CXX$USER_INCLUDE:SQS-TINTERFACE.H,-
				CXX$USER_INCLUDE:SQS-TINVENTORYTABLE.H,-
				CXX$USER_INCLUDE:SQS-TIOWAITER.H,-
				CXX$USER_INCLUDE:SQS-TMAILBOXSLOT.H,-
				CXX$USER_INCLUDE:SQS-TMEDIATYPE.H,-
				CXX$USER_INCLUDE:SQS-TODL.H,-
				CXX$USER_INCLUDE:SQS-TODLCOMMAND.H,-
				CXX$USER_INCLUDE:SQS-TSCSIBYTE.H,-
				CXX$USER_INCLUDE:SQS-TSCSICOMMAND.H,-
				CXX$USER_INCLUDE:SQS-TSCSILONG.H,-
				CXX$USER_INCLUDE:SQS-TSCSIREADELEMENTSTATUS.H,-
				CXX$USER_INCLUDE:SQS-TSCSIREADELEMENTSTATUSODLCOMMAND.H,-
				CXX$USER_INCLUDE:SQS-TSCSISTATUS.H,-
				CXX$USER_INCLUDE:SQS-TSCSITESTUNITREADY.H,-
				CXX$USER_INCLUDE:SQS-TSCSITESTUNITREADYODLCOMMAND.H,-
				CXX$USER_INCLUDE:SQS-TSCSIWORD.H,-
				CXX$USER_INCLUDE:SQS-TSLOT.H,-
				CXX$USER_INCLUDE:SQS-TTRACE.H,-
				CXX$USER_INCLUDE:SQS-TTRANSPORT.H,-
				CXX$USER_INCLUDE:SQS-TVMSSTATUS.H,-
				CXX$USER_INCLUDE:SQS-TVOLUMESLOT.H,-
				CXX$USER_INCLUDE:SQSDEF.H

OBJ$:BRNCH-THP100CODL.OBJ : -
				SRC$:BRNCH-THP100CODL.CXX,-
				CXX$USER_INCLUDE:BRNCH-THP100CODL.H,-
				CXX$USER_INCLUDE:BRNCH-TINTERFACE.H,-
				CXX$USER_INCLUDE:BRNCH-TTRACE.H,-
				CXX$USER_INCLUDE:DESCRIP.H,-
				CXX$USER_INCLUDE:SCSI-TAPPLICATION.H,-
				CXX$USER_INCLUDE:SQS-MAGIC-NUMBERS.H,-
				CXX$USER_INCLUDE:SQS-TBOOLEAN.H,-
				CXX$USER_INCLUDE:SQS-TCONFIGURATION.H,-
				CXX$USER_INCLUDE:SQS-TCONFIGURATIONENTRY.H,-
				CXX$USER_INCLUDE:SQS-TCONFIGURE.H,-
				CXX$USER_INCLUDE:SQS-TDRIVE.H,-
				CXX$USER_INCLUDE:SQS-TELEMENTADDRESS.H,-
				CXX$USER_INCLUDE:SQS-THP100CCONFIGURATION.H,-
				CXX$USER_INCLUDE:SQS-THP100CODL.H,-
				CXX$USER_INCLUDE:SQS-THP10LCODL.H,-
				CXX$USER_INCLUDE:SQS-TIDECONFIGURATION.H,-
				CXX$USER_INCLUDE:SQS-TIDEODL.H,-
				CXX$USER_INCLUDE:SQS-TINTERFACE.H,-
				CXX$USER_INCLUDE:SQS-TMEDIATYPE.H,-
				CXX$USER_INCLUDE:SQS-TODL.H,-
				CXX$USER_INCLUDE:SQS-TSCSISTATUS.H,-
				CXX$USER_INCLUDE:SQS-TTRACE.H,-
				CXX$USER_INCLUDE:SQS-TVMSSTATUS.H

OBJ$:BRNCH-THP20CODL.OBJ : -
				SRC$:BRNCH-THP20CODL.CXX,-
				CXX$USER_INCLUDE:BRNCH-THP20CODL.H,-
				CXX$USER_INCLUDE:BRNCH-TINTERFACE.H,-
				CXX$USER_INCLUDE:BRNCH-TTRACE.H,-
				CXX$USER_INCLUDE:DESCRIP.H,-
				CXX$USER_INCLUDE:SCSI-TAPPLICATION.H,-
				CXX$USER_INCLUDE:SQS-MAGIC-NUMBERS.H,-
				CXX$USER_INCLUDE:SQS-TBOOLEAN.H,-
				CXX$USER_INCLUDE:SQS-TCONFIGURATION.H,-
				CXX$USER_INCLUDE:SQS-TCONFIGURATIONENTRY.H,-
				CXX$USER_INCLUDE:SQS-TCONFIGURE.H,-
				CXX$USER_INCLUDE:SQS-TDRIVE.H,-
				CXX$USER_INCLUDE:SQS-TELEMENTADDRESS.H,-
				CXX$USER_INCLUDE:SQS-THP10LCODL.H,-
				CXX$USER_INCLUDE:SQS-THP20CCONFIGURATION.H,-
				CXX$USER_INCLUDE:SQS-THP20CODL.H,-
				CXX$USER_INCLUDE:SQS-TIDECONFIGURATION.H,-
				CXX$USER_INCLUDE:SQS-TIDEODL.H,-
				CXX$USER_INCLUDE:SQS-TINTERFACE.H,-
				CXX$USER_INCLUDE:SQS-TMEDIATYPE.H,-
				CXX$USER_INCLUDE:SQS-TODL.H,-
				CXX$USER_INCLUDE:SQS-TSCSISTATUS.H,-
				CXX$USER_INCLUDE:SQS-TTRACE.H,-
				CXX$USER_INCLUDE:SQS-TVMSSTATUS.H

OBJ$:BRNCH--ABORTREQUEST.OBJ :	-
				SRC$:BRNCH--ABORTREQUEST.C,-
				DECC$USER_INCLUDE:BRNCH-ACP-DATA-STRUCTURES.H,-
				DECC$USER_INCLUDE:OPCDEFTMP.H

OBJ$:BRNCH-ALLOCATEDRIVEARRAY.OBJ : -
				SRC$:BRNCH-ALLOCATEDRIVEARRAY.C,-
				DECC$USER_INCLUDE:BRNCH-ACP-DATA-STRUCTURES.H

OBJ$:BRNCH-ALLOCATEJBUNITARRAY.OBJ : -
				SRC$:BRNCH-ALLOCATEJBUNITARRAY.C,-
				DECC$USER_INCLUDE:BRNCH-ACP-DATA-STRUCTURES.H

SYSOBJ$:BRNCH-DISPATCHROUTINE.OBJ : -
				SRC$:BRNCH-DISPATCHROUTINE.MAR,-
				OLB$:SMPMAR.MLB-TIME-STAMP,-
				OLB$:VB-LIBRARY.MLB-TIME-STAMP

OBJ$:BRNCH--CHECKDATABASE.OBJ : -
				SRC$:BRNCH--CHECKDATABASE.C,-
				DECC$USER_INCLUDE:BRNCH-ACP-DATA-STRUCTURES.H,-
				DECC$USER_INCLUDE:SIZING.H,-
				DECC$USER_INCLUDE:SQSDEF.H

OBJ$:BRNCH--CHECKMOUNT.OBJ : -
				SRC$:BRNCH--CHECKMOUNT.C,-
				DECC$USER_INCLUDE:BRNCH-ACP-DATA-STRUCTURES.H,-
				DECC$USER_INCLUDE:SIZING.H,-
				DECC$USER_INCLUDE:SQS-OPCOM-CATCHER.H,-
				DECC$USER_INCLUDE:SQSDEF.H

OBJ$:BRNCH--COMPLETEREQUEST.OBJ : -
				SRC$:BRNCH--COMPLETEREQUEST.C

OBJ$:BRNCH-DISKARBITRATION.OBJ : -
                                SRC$:BRNCH-DISKARBITRATION.C,-
				DECC$USER_INCLUDE:BRNCH-ACP-DATA-STRUCTURES.H,-
				DECC$USER_INCLUDE:SIZING.H,-
				DECC$USER_INCLUDE:SQSDEF.H

OBJ$:BRNCH-DUMPCOUNTERS.OBJ : -
				SRC$:BRNCH-DUMPCOUNTERS.C

OBJ$:BRNCH--EXPORT.OBJ : -
                                SRC$:BRNCH--EXPORT.C,-
				DECC$USER_INCLUDE:BRNCH-ACP-DATA-STRUCTURES.H,-
				DECC$USER_INCLUDE:SIZING.H,-
				DECC$USER_INCLUDE:SQS-OPCOM-CATCHER.H,-
				DECC$USER_INCLUDE:SQSDEF.H

OBJ$:BRNCH-EXPORTMAGAZINE.OBJ : -
				SRC$:BRNCH-EXPORTMAGAZINE.C,-
				DECC$USER_INCLUDE:BRNCH-ACP-DATA-STRUCTURES.H,-
				DECC$USER_INCLUDE:SQSDEF.H

OBJ$:BRNCH-EXTERNAL-DATA.OBJ : -
                                SRC$:BRNCH-EXTERNAL-DATA.C,-
				DECC$USER_INCLUDE:BRNCH-ACP-DATA-STRUCTURES.H

OBJ$:BRNCH--IMPORT.OBJ :	-
				SRC$:BRNCH--IMPORT.C,-
				DECC$USER_INCLUDE:BRNCH-ACP-DATA-STRUCTURES.H,-
				DECC$USER_INCLUDE:SIZING.H,-
				DECC$USER_INCLUDE:SQS-OPCOM-CATCHER.H,-
				DECC$USER_INCLUDE:SQSDEF.H

OBJ$:BRNCH-IMPORTEXPORTNOTIFY.OBJ : -
				SRC$:BRNCH-IMPORTEXPORTNOTIFY.C,-
				DECC$USER_INCLUDE:BRNCH-ACP-DATA-STRUCTURES.H,-
				DECC$USER_INCLUDE:SIZING.H,-
				DECC$USER_INCLUDE:SQSDEF.H

OBJ$:BRNCH-IMPORTMAGAZINE.OBJ : -
				SRC$:BRNCH-IMPORTMAGAZINE.C,-
				DECC$USER_INCLUDE:BRNCH-ACP-DATA-STRUCTURES.H,-
				DECC$USER_INCLUDE:SIZING.H,-
				DECC$USER_INCLUDE:SQSDEF.H

OBJ$:BRNCH--INITIALIZEDB.OBJ :  -
				SRC$:BRNCH--INITIALIZEDB.C,-
				DECC$USER_INCLUDE:BRNCH-ACP-DATA-STRUCTURES.H,-
				DECC$USER_INCLUDE:SIZING.H,-
				DECC$USER_INCLUDE:SQS-OPCOM-CATCHER.H,-
				DECC$USER_INCLUDE:SQSDEF.H

OBJ$:BRNCH--ISMOUNTED.OBJ :	-
				SRC$:BRNCH--ISMOUNTED.C,-
				DECC$USER_INCLUDE:BRNCH-ACP-DATA-STRUCTURES.H,-
				DECC$USER_INCLUDE:SQSDEF.H

OBJ$:BRNCH--LOGIT.OBJ :		-
				SRC$:BRNCH--LOGIT.C

OBJ$:BRNCH--LOGITAST.OBJ : -
                                SRC$:BRNCH--LOGITAST.C

OBJ$:BRNCH-REQUESTMESSAGE.OBJ : -
				SRC$:BRNCH-REQUESTMESSAGE.C

OBJ$:BRNCH--ROBOTEXCEPTIONS.OBJ : -
                                SRC$:BRNCH--ROBOTEXCEPTIONS.C,-
				DECC$USER_INCLUDE:BRNCH-ACP-DATA-STRUCTURES.H,-
				DECC$USER_INCLUDE:SIZING.H,-
				DECC$USER_INCLUDE:SQS-MAGIC-NUMBERS.H,-
				DECC$USER_INCLUDE:SQSDEF.H

OBJ$:BRNCH-STARTACP.OBJ :	-
				SRC$:BRNCH-STARTACP.C,-
				DECC$USER_INCLUDE:BRNCH-ACP-DATA-STRUCTURES.H,-
				DECC$USER_INCLUDE:SIZING.H,-
				DECC$USER_INCLUDE:SQS-MAGIC-NUMBERS.H,-
				DECC$USER_INCLUDE:SQS-OPCOM-CATCHER.H,-
				DECC$USER_INCLUDE:SQSDEF.H

OBJ$:BRNCH--TRACE.OBJ :		-
				SRC$:BRNCH--TRACE.C,-
				DECC$USER_INCLUDE:BRNCH-ACP-DATA-STRUCTURES.H,-
				DECC$USER_INCLUDE:SQS-OPCOM-CATCHER.H,-
				DECC$USER_INCLUDE:SQSDEF.H

OBJ$:BRNCH-ALLOCATEJBUNITS.OBJ : -
				SRC$:BRNCH-ALLOCATEJBUNITS.C,-
				DECC$USER_INCLUDE:BRNCH-ACP-DATA-STRUCTURES.H,-
				DECC$USER_INCLUDE:SIZING.H,-
				DECC$USER_INCLUDE:SQSDEF.H

OBJ$:BRNCH-ALLOCATEPHYSICALSLOT.OBJ : -
				SRC$:BRNCH-ALLOCATEPHYSICALSLOT.C,-
				DECC$USER_INCLUDE:BRNCH-ACP-DATA-STRUCTURES.H,-
				DECC$USER_INCLUDE:SIZING.H,-
				DECC$USER_INCLUDE:SQSDEF.H

OBJ$:BRNCH-ANNOUNCESERVER.OBJ : -
				SRC$:BRNCH-ANNOUNCESERVER.C,-
				DECC$USER_INCLUDE:BRNCH-ACP-DATA-STRUCTURES.H,-
				DECC$USER_INCLUDE:SQSDEF.H

OBJ$:BRNCH-AOFDYNAMICDESCRIPTORS.OBJ : -
				SRC$:BRNCH-AOFDYNAMICDESCRIPTORS.C

OBJ$:BRNCH-CONFIGURATIONENTRY.OBJ : -
				SRC$:BRNCH-CONFIGURATIONENTRY.C,-
				DECC$USER_INCLUDE:BRNCH-ACP-DATA-STRUCTURES.H,-
				DECC$USER_INCLUDE:BRNCH-VERSION.H,-
				DECC$USER_INCLUDE:SQS-MAGIC-NUMBERS.H,-
				DECC$USER_INCLUDE:SQSDEF.H,-
				DECC$USER_INCLUDE:VB-CURRENT-VERSION.H

OBJ$:BRNCH-CREATEFTDEVICE.OBJ :	-
				SRC$:BRNCH-CREATEFTDEVICE.C

OBJ$:BRNCH-DATABASE.OBJ : -
                                SRC$:BRNCH-DATABASE.C,-
				DECC$USER_INCLUDE:BRNCH-ACP-DATA-STRUCTURES.H,-
				DECC$USER_INCLUDE:SIZING.H,-
				DECC$USER_INCLUDE:SQS-OPCOM-CATCHER.H,-
				DECC$USER_INCLUDE:SQSDEF.H

OBJ$:BRNCH-DRIVETOVOLUME.OBJ :	-
				SRC$:BRNCH-DRIVETOVOLUME.C,-
				DECC$USER_INCLUDE:BRNCH-ACP-DATA-STRUCTURES.H,-
				DECC$USER_INCLUDE:SQSDEF.H

OBJ$:BRNCH-ENABLEOPCOM.OBJ :	-
				SRC$:BRNCH-ENABLEOPCOM.C

OBJ$:BRNCH-FLIPINDRIVE.OBJ : -
                                SRC$:BRNCH-FLIPINDRIVE.C,-
				DECC$USER_INCLUDE:BRNCH-ACP-DATA-STRUCTURES.H,-
				DECC$USER_INCLUDE:SQSDEF.H

OBJ$:BRNCH-GETLIBRARYNAME.OBJ :	-
				SRC$:BRNCH-GETLIBRARYNAME.C

OBJ$:BRNCH-GETOPCOMCHANNEL.OBJ : -
                                SRC$:BRNCH-GETOPCOMCHANNEL.C

OBJ$:BRNCH-HANDLE-OPCOM.OBJ : -
                                SRC$:BRNCH-HANDLE-OPCOM.C,-
				DECC$USER_INCLUDE:SQS-OPCOM-CATCHER.H,-
				DECC$USER_INCLUDE:SQSDEF.H

OBJ$:BRNCH-INITIALEVENTLOOP.OBJ : -
				SRC$:BRNCH-INITIALEVENTLOOP.C,-
				DECC$USER_INCLUDE:BRNCH-ACP-DATA-STRUCTURES.H,-
				DECC$USER_INCLUDE:SQSDEF.H

OBJ$:BRNCH-INITIALIZEMOVER.OBJ : -
				SRC$:BRNCH-INITIALIZEMOVER.C,-
				DECC$USER_INCLUDE:BRNCH-ACP-DATA-STRUCTURES.H,-
				DECC$USER_INCLUDE:SQSDEF.H

OBJ$:BRNCH-MAGAZINETOPHYSICALSLOTS.OBJ : -
				SRC$:BRNCH-MAGAZINETOPHYSICALSLOTS.C,-
				DECC$USER_INCLUDE:BRNCH-ACP-DATA-STRUCTURES.H,-
				DECC$USER_INCLUDE:SIZING.H

OBJ$:BRNCH-MAILBOXTOSLOT.OBJ : -
				SRC$:BRNCH-MAILBOXTOSLOT.C,-
				DECC$USER_INCLUDE:BRNCH-ACP-DATA-STRUCTURES.H,-
				DECC$USER_INCLUDE:SQSDEF.H

OBJ$:BRNCH-MASTERCOMMUNICATIONS.OBJ : -
				SRC$:BRNCH-MASTERCOMMUNICATIONS.C,-
				DECC$USER_INCLUDE:BRNCH-ACP-DATA-STRUCTURES.H

OBJ$:BRNCH-MASTERFAILED.OBJ : -
				SRC$:BRNCH-MASTERFAILED.C,-
				DECC$USER_INCLUDE:BRNCH-ACP-DATA-STRUCTURES.H,-
				DECC$USER_INCLUDE:SIZING.H,-
				DECC$USER_INCLUDE:SQSDEF.H

OBJ$:BRNCH-MOUNTREQUEST.OBJ :	-
				SRC$:BRNCH-MOUNTREQUEST.C,-
				DECC$USER_INCLUDE:SQS-OPCOM-CATCHER.H

OBJ$:BRNCH-PROCESSJUKEBOXCOMMANDS.OBJ : -
				SRC$:BRNCH-PROCESSJUKEBOXCOMMANDS.C,-
				DECC$USER_INCLUDE:BRNCH-ACP-DATA-STRUCTURES.H,-
				DECC$USER_INCLUDE:SIZING.H,-
				DECC$USER_INCLUDE:SQS-MAGIC-NUMBERS.H,-
				DECC$USER_INCLUDE:SQS-OPCOM-CATCHER.H,-
				DECC$USER_INCLUDE:SQSDEF.H

OBJ$:BRNCH-SENDCOMMANDMESSAGE.OBJ : -
				SRC$:BRNCH-SENDCOMMANDMESSAGE.C,-
				DECC$USER_INCLUDE:BRNCH-ACP-DATA-STRUCTURES.H

OBJ$:BRNCH-SLOTTOJBUNITS.OBJ : -
				SRC$:BRNCH-SLOTTOJBUNITS.C,-
				DECC$USER_INCLUDE:BRNCH-ACP-DATA-STRUCTURES.H,-
				DECC$USER_INCLUDE:SIZING.H

OBJ$:BRNCH-SLOTTOMAILBOX.OBJ : -
				SRC$:BRNCH-SLOTTOMAILBOX.C,-
				DECC$USER_INCLUDE:BRNCH-ACP-DATA-STRUCTURES.H,-
				DECC$USER_INCLUDE:SQSDEF.H

OBJ$:BRNCH-ROBOTSTATUS.OBJ :	-
				SRC$:BRNCH-ROBOTSTATUS.C,-
				DECC$USER_INCLUDE:BRNCH-ACP-DATA-STRUCTURES.H,-
				DECC$USER_INCLUDE:SIZING.H,-
				DECC$USER_INCLUDE:SQS-MAGIC-NUMBERS.H,-
				DECC$USER_INCLUDE:SQSDEF.H

OBJ$:BRNCH-STARTMOVER.OBJ :	-
				SRC$:BRNCH-STARTMOVER.C,-
				DECC$USER_INCLUDE:BRNCH-ACP-DATA-STRUCTURES.H

OBJ$:BRNCH-STARTSLAVES.OBJ :	-
				SRC$:BRNCH-STARTSLAVES.C,-
				DECC$USER_INCLUDE:SQSDEF.H

OBJ$:BRNCH-VIRTUAL.OBJ : -
                                SRC$:BRNCH-VIRTUAL.CXX,-
				CXX$USER_INCLUDE:BRNCH-ACP-DATA-STRUCTURES.HXX,-
				CXX$USER_INCLUDE:BRNCH-DISK-CONFIGURATION-OBJECTS.H,-
				CXX$USER_INCLUDE:BRNCH-LOCAL-CONFIGURATION-OBJECTS.H,-
				CXX$USER_INCLUDE:BRNCH-T1004XODL.H,-
				CXX$USER_INCLUDE:BRNCH-T1804XODL.H,-
				CXX$USER_INCLUDE:BRNCH-T5004XODL.H,-
				CXX$USER_INCLUDE:BRNCH-TCDR240MODL.H,-
				CXX$USER_INCLUDE:BRNCH-TCONFIGURATIONENTRY.H,-
				CXX$USER_INCLUDE:BRNCH-TDVLODL.H,-
				CXX$USER_INCLUDE:BRNCH-THP100CODL.H,-
				CXX$USER_INCLUDE:BRNCH-THP10LCODL.H,-
				CXX$USER_INCLUDE:BRNCH-THP20CODL.H,-
				CXX$USER_INCLUDE:BRNCH-THP60CODL.H,-
				CXX$USER_INCLUDE:BRNCH-TIDEODL.H,-
				CXX$USER_INCLUDE:BRNCH-TINFINIDISCODL.H,-
				CXX$USER_INCLUDE:BRNCH-TM20ODL.H,-
				CXX$USER_INCLUDE:BRNCH-TMO120ODL.H,-
				CXX$USER_INCLUDE:BRNCH-TNKK556ODL.H,-
				CXX$USER_INCLUDE:BRNCH-TRW552ODL.H,-
				CXX$USER_INCLUDE:BRNCH-TVDISKODL.H,-
				CXX$USER_INCLUDE:BRNCH-VERSION.H,-
				CXX$USER_INCLUDE:DESCRIP.H,-
				CXX$USER_INCLUDE:SCSI-TAPPLICATION.H,-
				CXX$USER_INCLUDE:SQS-KEYREQUESTEXTENSION.H,-
				CXX$USER_INCLUDE:SQS-MAGIC-NUMBERS.H,-
				CXX$USER_INCLUDE:SQS-T1004XODL.H,-
				CXX$USER_INCLUDE:SQS-T1804XODL.H,-
				CXX$USER_INCLUDE:SQS-T5004XODL.H,-
				CXX$USER_INCLUDE:SQS-TAPPLICATION.H,-
				CXX$USER_INCLUDE:SQS-TBOOLEAN.H,-
				CXX$USER_INCLUDE:SQS-TCDR240MODL.H,-
				CXX$USER_INCLUDE:SQS-TCMDTRANSPORT.H,-
				CXX$USER_INCLUDE:SQS-TCONFIGURATION.H,-
				CXX$USER_INCLUDE:SQS-TCONFIGURATIONENTRY.H,-
				CXX$USER_INCLUDE:SQS-TCONFIGURE.H,-
				CXX$USER_INCLUDE:SQS-TDRIVE.H,-
				CXX$USER_INCLUDE:SQS-TDVLODL.H,-
				CXX$USER_INCLUDE:SQS-TELEMENTADDRESS.H,-
				CXX$USER_INCLUDE:SQS-TGKATRANSPORT.H,-
				CXX$USER_INCLUDE:SQS-TGSATRANSPORT.H,-
				CXX$USER_INCLUDE:SQS-THP100CODL.H,-
				CXX$USER_INCLUDE:SQS-THP10LCODL.H,-
				CXX$USER_INCLUDE:SQS-THP20CODL.H,-
				CXX$USER_INCLUDE:SQS-THP60CODL.H,-
				CXX$USER_INCLUDE:SQS-TIDECONFIGURATION.H,-
				CXX$USER_INCLUDE:SQS-TIDEODL.H,-
				CXX$USER_INCLUDE:SQS-TINFINIDISCODL.H,-
				CXX$USER_INCLUDE:SQS-TM20ODL.H,-
				CXX$USER_INCLUDE:SQS-TMEDIATYPE.H,-
				CXX$USER_INCLUDE:SQS-TMO120ODL.H,-
				CXX$USER_INCLUDE:SQS-TNKK556ODL.H,-
				CXX$USER_INCLUDE:SQS-TODL.H,-
				CXX$USER_INCLUDE:SQS-TRANS-CONFIGURATION-OBJECTS.H,-
				CXX$USER_INCLUDE:SQS-TRW552ODL.H,-
				CXX$USER_INCLUDE:SQS-TSCSISTATUS.H,-
				CXX$USER_INCLUDE:SQS-TSCSITRANSPORT.H,-
				CXX$USER_INCLUDE:SQS-TTRANSPORT.H,-
				CXX$USER_INCLUDE:SQS-TTRANSPORTCONFIGURE.H,-
				CXX$USER_INCLUDE:SQS-TVMSSTATUS.H,-
				CXX$USER_INCLUDE:SQSDEF.H,-
				CXX$USER_INCLUDE:UTL-ITEMLIST-PROTOTYPES.H,-
				CXX$USER_INCLUDE:UTL-ITEMLIST.H,-
				CXX$USER_INCLUDE:VB-CURRENT-VERSION.H

OBJ$:BRNCH-VIRTUAL-ACP.OBJ :	-
				SRC$:BRNCH-VIRTUAL-ACP.C,-
				DECC$USER_INCLUDE:BRNCH-ACP-DATA-STRUCTURES.H,-
				DECC$USER_INCLUDE:SQS-MAGIC-NUMBERS.H,-
				DECC$USER_INCLUDE:SQSDEF.H

OBJ$:BRNCH-VIRTUAL-SET.OBJ :	-
				SRC$:BRNCH-VIRTUAL-SET.C,-
				DECC$USER_INCLUDE:BRNCH-ACP-DATA-STRUCTURES.H,-
				DECC$USER_INCLUDE:SQSDEF.H

OBJ$:BRNCH-VIRTUAL-SHOW.OBJ :	-
				SRC$:BRNCH-VIRTUAL-SHOW.C,-
				DECC$USER_INCLUDE:BRNCH-ACP-DATA-STRUCTURES.H,-
				DECC$USER_INCLUDE:SQSDEF.H

OBJ$:BRNCH-STR.OBJ :		-
				SRC$:BRNCH-STR.C

OBJ$:BRNCH-VOLUMETODRIVE.OBJ : -
                                SRC$:BRNCH-VOLUMETODRIVE.C,-
				DECC$USER_INCLUDE:BRNCH-ACP-DATA-STRUCTURES.H,-
				DECC$USER_INCLUDE:SQSDEF.H
